<?php

return [

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de usuários
    |--------------------------------------------------------------------------
    */
    'users' => [
        'title'       => 'Usuários',
        'description' => 'Cadastro de usuários',

        'route' => [
            'url'        => 'usuarios',
            'name'       => 'users',
            'controller' => 'UsersController',
        ],

        'files' => [
            'User'                            => ['stub' => 'model.stub',          'path' => 'app/Models',                    'extension' => '.php'],
            'UserRepository'                  => ['stub' => 'repository.stub',     'path' => 'app/Repositories',              'extension' => '.php'],
            'UsersController'                 => ['stub' => 'controller.stub',     'path' => 'app/Http/Controllers/Manager',  'extension' => '.php'],
            'UserStoreRequest'                => ['stub' => 'request-store.stub',  'path' => 'app/Http/Requests',             'extension' => '.php'],
            'UserUpdateRequest'               => ['stub' => 'request-update.stub', 'path' => 'app/Http/Requests',             'extension' => '.php'],
            'index.blade'                     => ['stub' => 'view-index.stub',     'path' => 'resources/views/manager/users', 'extension' => '.php'],
            'create.blade'                    => ['stub' => 'view-create.stub',    'path' => 'resources/views/manager/users', 'extension' => '.php'],
            'edit.blade'                      => ['stub' => 'view-edit.stub',      'path' => 'resources/views/manager/users', 'extension' => '.php'],
            'fields.blade'                    => ['stub' => 'view-fields.stub',    'path' => 'resources/views/manager/users', 'extension' => '.php'],
            '{{datetime}}_create_users_table' => ['stub' => 'migration.stub',      'path' => 'database/migrations',           'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para gerar cadastro de downloads
    |--------------------------------------------------------------------------
    */
    'downloads' => [
        'title'       => 'Downloads',
        'description' => 'Cadastro de downloads',

        'route' => [
            'url'        => 'downloads',
            'name'       => 'downloads',
            'controller' => 'DownloadsController',
        ],

        'files' => [
            'Download'                            => ['stub' => 'model.stub',          'path' => 'app/Models',                    'extension' => '.php'],
            'DownloadCategory'                    => ['stub' => 'model-category.stub',          'path' => 'app/Models',                    'extension' => '.php'],
            'DownloadRepository'                  => ['stub' => 'repository.stub',     'path' => 'app/Repositories',              'extension' => '.php'],
            'DownloadCategoryRepository'          => ['stub' => 'repository-category.stub',     'path' => 'app/Repositories',              'extension' => '.php'],
            'DownloadsController'                 => ['stub' => 'controller.stub',     'path' => 'app/Http/Controllers/Manager',  'extension' => '.php'],
            'DownloadSaveRequest'                 => ['stub' => 'request.stub',  'path' => 'app/Http/Requests',             'extension' => '.php'],
            'DownloadPresenter'                   => ['stub' => 'presenter.stub',  'path' => 'app/Presenters',             'extension' => '.php'],
            'index.blade'                         => ['stub' => 'view-index.stub',     'path' => 'resources/views/manager/downloads', 'extension' => '.php'],
            'create.blade'                        => ['stub' => 'view-create.stub',    'path' => 'resources/views/manager/downloads', 'extension' => '.php'],
            'edit.blade'                          => ['stub' => 'view-edit.stub',      'path' => 'resources/views/manager/downloads', 'extension' => '.php'],
            'fields.blade'                        => ['stub' => 'view-fields.stub',    'path' => 'resources/views/manager/downloads', 'extension' => '.php'],
            '{{datetime}}_create_downloads_table' => ['stub' => 'migration.stub',      'path' => 'database/migrations',           'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de eventos
    |--------------------------------------------------------------------------
    */
    'events' => [
        'title'       => 'Eventos',
        'description' => 'Cadastro de eventos',
        'obs'         => 'Não esqueça de configurar as mídias no arquivos de configuração <info>config/manager.php</info>',

        'route' => [
            'url'        => 'eventos',
            'name'       => 'events',
            'controller' => 'EventsController',
        ],

        'files' => [
            'Event'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'EventDate'                        => ['stub' => 'model-dates.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'EventCollection'                  => ['stub' => 'collection.stub', 'path' => 'app/Collections', 'extension' => '.php'],
            'EventDateCollection'              => ['stub' => 'collection-dates.stub', 'path' => 'app/Collections', 'extension' => '.php'],
            'EventRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'EventsController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'EventSaveRequest'                 => ['stub' => 'request.stub',  'path' => 'app/Http/Requests', 'extension' => '.php'],
            'EventPresenter'                   => ['stub' => 'presenter.stub',  'path' => 'app/Presenters', 'extension' => '.php'],
            'index.blade'                      => ['stub' => 'view-index.stub', 'path' => 'resources/views/manager/events', 'extension' => '.php'],
            'create.blade'                     => ['stub' => 'view-create.stub', 'path' => 'resources/views/manager/events', 'extension' => '.php'],
            'edit.blade'                       => ['stub' => 'view-edit.stub', 'path' => 'resources/views/manager/events', 'extension' => '.php'],
            'fields.blade'                     => ['stub' => 'view-fields.stub', 'path' => 'resources/views/manager/events', 'extension' => '.php'],
            'form'                             => ['stub' => 'formjs.stub', 'path' => 'resources/assets/javascript/manager/events', 'extension' => '.js'],
            '{{datetime}}_create_events_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de sobre
    |--------------------------------------------------------------------------
    */
   'abouts' => [
        'title'       => 'Sobre',
        'description' => 'Cadastro de Informaçoes Institucionais',
        'menu'        => 'menu.stub',

        'route' => [
            'url'        => 'sobre',
            'name'       => 'abouts',
            'controller' => 'AboutController',
        ],

        'files' => [
            'Abouts'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'AboutRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'AboutController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'AboutSaveRequest'                 => ['stub' => 'request.stub',  'path' => 'app/Http/Requests', 'extension' => '.php'],
            'AboutPresenter'                   => ['stub' => 'presenter.stub',  'path' => 'app/Presenters', 'extension' => '.php'],
            'AboutComposer'                   => ['stub' => 'composer.stub',  'path' => 'app/Composers', 'extension' => '.php'],
            'index.blade'                       => ['stub' => 'view-index.stub', 'path' => 'resources/views/manager/abouts', 'extension' => '.php'],
            'create.blade'                      => ['stub' => 'view-create.stub', 'path' => 'resources/views/manager/abouts', 'extension' => '.php'],
            'edit.blade'                        => ['stub' => 'view-edit.stub', 'path' => 'resources/views/manager/abouts', 'extension' => '.php'],
            'fields.blade'                      => ['stub' => 'view-fields.stub', 'path' => 'resources/views/manager/abouts', 'extension' => '.php'],
            '{{datetime}}_create_abouts_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],

        'complements' => 'awards'
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de sobre
    |--------------------------------------------------------------------------
    */
   'awards' => [
        'title'       => 'Certificados',
        'description' => 'Cadastro de Certificados',
        'menu'        => 'menu.stub',

        'route'       => 'routes.stub',

        'files' => [
            'Award'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'AwardRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'AwardsController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'AwardSaveRequest'                 => ['stub' => 'request.stub',  'path' => 'app/Http/Requests', 'extension' => '.php'],
            'AwardPresenter'                   => ['stub' => 'presenter.stub',  'path' => 'app/Presenters', 'extension' => '.php'],
            'views'                           => ['stub' => 'views', 'path' => 'resources/views/manager/awards', 'extension' => 'folder'],
            '{{datetime}}_create_awards_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],

        'dependencies' => 'awards'
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de banners
    |--------------------------------------------------------------------------
    */
   'banners' => [
        'title'       => 'Banners',
        'description' => 'Cadastro de banners',
        'route'       => 'routes.stub',
        'obs'         => "
            Lembre-se que o front-end dos banners não é feito por aqui, você ainda deve fazer.
            Adicione também o código view()->composer('app.inc.banners', 'App\Composers\BannersComposer'); no seu AppServiceProvider
        ",

        'files' => [
            'banners'                           => ['stub' => 'config.stub', 'path' => 'config', 'extension' => '.php'],
            'Banner'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'BannerRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'BannersController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'BannerSaveRequest'                 => ['stub' => 'request.stub',  'path' => 'app/Http/Requests', 'extension' => '.php'],
            'BannerPresenter'                   => ['stub' => 'presenter.stub',  'path' => 'app/Presenters', 'extension' => '.php'],
            'BannersComposer'                   => ['stub' => 'composer.stub',  'path' => 'app/Composers', 'extension' => '.php'],
            'banners.blade'                     => ['stub' => 'view-banners.stub', 'path' => 'resources/views/app/inc', 'extension' => '.php'],
            'index.blade'                       => ['stub' => 'view-index.stub', 'path' => 'resources/views/manager/banners', 'extension' => '.php'],
            'create.blade'                      => ['stub' => 'view-create.stub', 'path' => 'resources/views/manager/banners', 'extension' => '.php'],
            'edit.blade'                        => ['stub' => 'view-edit.stub', 'path' => 'resources/views/manager/banners', 'extension' => '.php'],
            'fields.blade'                      => ['stub' => 'view-fields.stub', 'path' => 'resources/views/manager/banners', 'extension' => '.php'],
            '{{datetime}}_create_banners_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de categorias
    |--------------------------------------------------------------------------
    */
   'categories' => [
        'title'       => 'Categorias',
        'description' => 'Cadastro de categorias',

        'route' => [
            'url'        => 'categorias',
            'name'       => 'categories',
            'controller' => 'CategoriesController',
        ],

        'files' => [
            'Category'                             => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'CategoryRepository'                   => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'CategoriesController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'CategorySaveRequest'                  => ['stub' => 'request.stub',  'path' => 'app/Http/Requests', 'extension' => '.php'],
            'CategoryPresenter'                    => ['stub' => 'presenter.stub',  'path' => 'app/Presenters', 'extension' => '.php'],
            'index.blade'                          => ['stub' => 'view-index.stub', 'path' => 'resources/views/manager/categories', 'extension' => '.php'],
            'create.blade'                         => ['stub' => 'view-create.stub', 'path' => 'resources/views/manager/categories', 'extension' => '.php'],
            'edit.blade'                           => ['stub' => 'view-edit.stub', 'path' => 'resources/views/manager/categories', 'extension' => '.php'],
            'fields.blade'                         => ['stub' => 'view-fields.stub', 'path' => 'resources/views/manager/categories', 'extension' => '.php'],
            '{{datetime}}_create_categories_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de produtos
    |--------------------------------------------------------------------------
    */
   'products' => [
        'title'       => 'Produtos',
        'description' => 'Cadastro de produtos',
        'obs'         => 'Não esqueça de configurar as mídias no arquivos de configuração <info>config/manager.php</info>',

        'route' => [
            'url'        => 'produtos',
            'name'       => 'products',
            'controller' => 'ProductsController',
        ],

        'files' => [
            'Product'                            => ['stub' => 'model.stub',       'path' => 'app/Models', 'extension' => '.php'],
            'ProductRepository'                  => ['stub' => 'repository.stub',  'path' => 'app/Repositories', 'extension' => '.php'],
            'ProductsController'                 => ['stub' => 'controller.stub',  'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'ProductSaveRequest'                 => ['stub' => 'request.stub',     'path' => 'app/Http/Requests', 'extension' => '.php'],
            'ProductPresenter'                   => ['stub' => 'presenter.stub',   'path' => 'app/Presenters', 'extension' => '.php'],
            'index.blade'                        => ['stub' => 'view-index.stub',  'path' => 'resources/views/manager/products', 'extension' => '.php'],
            'create.blade'                       => ['stub' => 'view-create.stub', 'path' => 'resources/views/manager/products', 'extension' => '.php'],
            'edit.blade'                         => ['stub' => 'view-edit.stub',   'path' => 'resources/views/manager/products', 'extension' => '.php'],
            'fields.blade'                       => ['stub' => 'view-fields.stub', 'path' => 'resources/views/manager/products', 'extension' => '.php'],
            '{{datetime}}_create_products_table' => ['stub' => 'migration.stub',   'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de parceiros
    |--------------------------------------------------------------------------
    */
   'partners' => [
        'title'       => 'Parceiros',
        'description' => 'Cadastro de parceiros',
        'obs'         => '',

        'route' => [
            'url'        => 'parceiros',
            'name'       => 'partners',
            'controller' => 'PartnersController',
        ],

        'files' => [
            'Partner'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'PartnerRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'PartnersController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'PartnerSaveRequest'                 => ['stub' => 'request.stub',  'path' => 'app/Http/Requests', 'extension' => '.php'],
            'PartnerPresenter'                   => ['stub' => 'presenter.stub',  'path' => 'app/Presenters', 'extension' => '.php'],
            'index.blade'                       => ['stub' => 'view-index.stub', 'path' => 'resources/views/manager/partners', 'extension' => '.php'],
            'create.blade'                      => ['stub' => 'view-create.stub', 'path' => 'resources/views/manager/partners', 'extension' => '.php'],
            'edit.blade'                        => ['stub' => 'view-edit.stub', 'path' => 'resources/views/manager/partners', 'extension' => '.php'],
            'fields.blade'                      => ['stub' => 'view-fields.stub', 'path' => 'resources/views/manager/partners', 'extension' => '.php'],
            '{{datetime}}_create_partners_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de clientes
    |--------------------------------------------------------------------------
    */
   'clients' => [
        'title'       => 'Clientes',
        'description' => 'Cadastro de clientes',
        'obs'         => '',

        'route' => [
            'url'        => 'clientes',
            'name'       => 'clients',
            'controller' => 'ClientsController',
        ],

        'files' => [
            'Client'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'ClientRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'ClientsController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'ClientSaveRequest'                 => ['stub' => 'request.stub',  'path' => 'app/Http/Requests', 'extension' => '.php'],
            'index.blade'                       => ['stub' => 'view-index.stub', 'path' => 'resources/views/manager/clients', 'extension' => '.php'],
            'create.blade'                      => ['stub' => 'view-create.stub', 'path' => 'resources/views/manager/clients', 'extension' => '.php'],
            'edit.blade'                        => ['stub' => 'view-edit.stub', 'path' => 'resources/views/manager/clients', 'extension' => '.php'],
            'fields.blade'                      => ['stub' => 'view-fields.stub', 'path' => 'resources/views/manager/clients', 'extension' => '.php'],
            '{{datetime}}_create_clients_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para boilerplate do dashboard
    |--------------------------------------------------------------------------
    */
   'dashboard' => [
        'title'       => 'Clientes',
        'description' => 'boilerplate de uma dashboard (com login e etc)',
        'obs'         => 'Não esqueça de configurar a autenticação no arquivo <info>config/auth.php</info>',
        'route'       => 'routes.stub',

        'files' => [
            # controllers
            'HomeController'           => ['stub' => 'controllers/home-controller.stub', 'path' => 'app/Http/Controllers/Dashboard', 'extension' => '.php'],
            'AuthController'           => ['stub' => 'controllers/auth-controller.stub', 'path' => 'app/Http/Controllers/Dashboard', 'extension' => '.php'],
            'PasswordController'       => ['stub' => 'controllers/password-controller.stub', 'path' => 'app/Http/Controllers/Dashboard', 'extension' => '.php'],
            'PasswordChangeController' => ['stub' => 'controllers/password-change-controller.stub', 'path' => 'app/Http/Controllers/Dashboard', 'extension' => '.php'],
            # requests
            'LoginRequest'         => ['stub' => 'requests/login-request.stub', 'path' => 'app/Http/Requests/Dashboard', 'extension' => '.php'],
            'ResetPasswordRequest' => ['stub' => 'requests/reset-password-request.stub', 'path' => 'app/Http/Requests/Dashboard', 'extension' => '.php'],
            'UpdatePasswordRequest' => ['stub' => 'requests/update-password-request.stub', 'path' => 'app/Http/Requests/Dashboard', 'extension' => '.php'],
            # views
            'views' => ['stub' => 'views', 'path' => 'resources/views/dashboard', 'extension' => 'folder'],
            # migration
            '{{datetime}}_create_user_password_resets_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
            # assets
            'dashboard' => ['stub' => 'dashboard.scss.stub', 'path' => 'resources/assets/scss', 'extension' => '.scss'],
            'js'        => ['stub' => 'javascript', 'path' => 'resources/assets/javascript/dashboard', 'extension' => 'folder'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para boilerplate de subscribers (newsletter)
    |--------------------------------------------------------------------------
    */
   'subscribers' => [
        'title'       => 'Subscribers (Inscritos para newsletter)',
        'description' => 'boilerplate de um cadastro de subscribers',
        'obs'         => 'Não esqueça de adicionar "maatwebsite/excel": "~2.1" e "drewm/mailchimp-api": "~2.0", no seu composer.json e "Maatwebsite\Excel\ExcelServiceProvider::class" na sua lista de providers',
        'route'       => 'routes.stub',
        'menu'        => 'menu.stub',

        'files' => [
            'SubscribersController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'name' => 'SubscribersController', 'extension' => '.php'],
            'SubscribersAppController'              => ['stub' => 'controller-app.stub', 'path' => 'app/Http/Controllers/App', 'name' => 'SubscribersController', 'extension' => '.php'],
            'Subscriber'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'SubscriberGroup'                       => ['stub' => 'model-group.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'SubscriberRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'SubscriberPresenter'                   => ['stub' => 'presenter.stub', 'path' => 'app/Presenters', 'extension' => '.php'],
            'SubscribersExporter'                   => ['stub' => 'exporter.stub', 'path' => 'app/Exporters', 'extension' => '.php'],
            'SubscribeRequest'                      => ['stub' => 'request-subscribe.stub', 'path' => 'app/Http/Requests', 'extension' => '.php'],
            'MailChimpService'                      => ['stub' => 'mailchimp-service.stub', 'path' => 'app/Services', 'extension' => '.php'],
            'ExportSubscribersCommand'              => ['stub' => 'export-subscribers-command.stub', 'path' => 'app/Console/Commands', 'extension' => '.php'],
            'views'                                 => ['stub' => 'views', 'path' => 'resources/views/manager/subscribers', 'extension' => 'folder'],
            '{{datetime}}_create_subscribers_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para boilerplate de leads
    |--------------------------------------------------------------------------
    */
   'leads' => [
        'title'       => 'Leads',
        'description' => 'boilerplate de um cadastro de leads',
        'obs'         => 'Não esqueça de adicionar "maatwebsite/excel": "~2.1" e "drewm/mailchimp-api": "~2.0", no seu composer.json e "Maatwebsite\Excel\ExcelServiceProvider::class" na sua lista de providers',
        'route'       => 'routes.stub',
        'menu'        => 'menu.stub',

        'files' => [
            'LeadsController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'name' => 'LeadsController', 'extension' => '.php'],
            'LeadsAppController'              => ['stub' => 'controller-app.stub', 'path' => 'app/Http/Controllers/App', 'name' => 'LeadsController', 'extension' => '.php'],
            'Lead'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'LeadGroup'                       => ['stub' => 'model-group.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'LeadRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'LeadPresenter'                   => ['stub' => 'presenter.stub', 'path' => 'app/Presenters', 'extension' => '.php'],
            'LeadsExporter'                   => ['stub' => 'exporter.stub', 'path' => 'app/Exporters', 'extension' => '.php'],
            'LeadRequest'                     => ['stub' => 'request-subscribe.stub', 'path' => 'app/Http/Requests', 'extension' => '.php'],
            'LeadRegistered'                  => ['stub' => 'event.stub', 'path' => 'app/Events', 'extension' => '.php'],
            'MailChimpService'                => ['stub' => 'mailchimp-service.stub', 'path' => 'app/Services', 'extension' => '.php'],
            'ExportLeadsCommand'              => ['stub' => 'export-subscribers-command.stub', 'path' => 'app/Console/Commands', 'extension' => '.php'],
            'views'                           => ['stub' => 'views', 'path' => 'resources/views/manager/leads', 'extension' => 'folder'],
            '{{datetime}}_create_leads_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para posts de blog
    |--------------------------------------------------------------------------
    */
   'posts' => [
        'title'       => 'Posts (Blog)',
        'description' => 'boilerplate de um cadastro de posts',
        'obs'         => 'Não esqueça de configurar as mídias do post',
        'route'       => 'routes.stub',

        'files' => [
            'PostsController'                 => ['stub' => 'controllers/posts-controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'ImagesController'                => ['stub' => 'controllers/images-controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'Post'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'PostRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'PostPresenter'                   => ['stub' => 'presenter.stub', 'path' => 'app/Presenters', 'extension' => '.php'],
            'PostSaveRequest'                 => ['stub' => 'request.stub', 'path' => 'app/Http/Requests', 'extension' => '.php'],
            'views'                           => ['stub' => 'views', 'path' => 'resources/views/manager/posts', 'extension' => 'folder'],
            '{{datetime}}_create_posts_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para contatos
    |--------------------------------------------------------------------------
    */
   'contacts' => [
        'title'       => 'Contatos',
        'description' => 'boilerplate para manager de contatos (apenas visualização)',
        'obs'         => '',
        'route'       => 'routes.stub',

        'files' => [
            'ContactsController' => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'Contact'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'ContactRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'views'                              => ['stub' => 'views', 'path' => 'resources/views/manager/contacts', 'extension' => 'folder'],
            '{{datetime}}_create_contacts_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

   /*
    |--------------------------------------------------------------------------
    | CRUD para upload de imagens (pra usar com o editor do Medium)
    |--------------------------------------------------------------------------
    */
   'images' => [
        'title'       => 'Upload de imagens',
        'description' => 'CRUD para upload de imagens (pra usar com o editor do Medium)',
        'obs'         => '',
        'route'       => 'routes.stub',

        'files' => [
            'ImagesController' => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de categorias de notícias
    |--------------------------------------------------------------------------
    */
   'news_categories' => [
        'title'       => 'Categorias de Notícias',
        'description' => 'Cadastro de categorias de notícias',
        'menu'        => 'menu.stub',

        'route' => [
            'url'        => 'noticias/categorias',
            'name'       => 'news_categories',
            'controller' => 'NewsCategoriesController',
        ],

        'files' => [
            'NewsCategory'                             => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'NewsCategoryRepository'                   => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'NewsCategoriesController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'NewsCategorySaveRequest'                  => ['stub' => 'request.stub',  'path' => 'app/Http/Requests', 'extension' => '.php'],
            'NewsCategoryPresenter'                    => ['stub' => 'presenter.stub',  'path' => 'app/Presenters', 'extension' => '.php'],
            'index.blade'                          => ['stub' => 'view-index.stub', 'path' => 'resources/views/manager/news_categories', 'extension' => '.php'],
            'create.blade'                         => ['stub' => 'view-create.stub', 'path' => 'resources/views/manager/news_categories', 'extension' => '.php'],
            'edit.blade'                           => ['stub' => 'view-edit.stub', 'path' => 'resources/views/manager/news_categories', 'extension' => '.php'],
            'fields.blade'                         => ['stub' => 'view-fields.stub', 'path' => 'resources/views/manager/news_categories', 'extension' => '.php'],
            '{{datetime}}_create_news_categories_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de notícias
    |--------------------------------------------------------------------------
    */
   'news' => [
        'title'       => 'Notícias',
        'description' => 'boilerplate de um cadastro de notícias',
        'obs'         => 'Não esqueça de configurar o laramedias!',
        'route'       => 'routes.stub',
        'menu'        => 'menu.stub',

        'files' => [
            'NewsController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'NewsFrontController'            => ['stub' => 'front-controller.stub', 'path' => 'app/Http/Controllers/App', 'name' => 'NewsController', 'extension' => '.php'],
            'News'                           => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'NewsSaveRequest'                => ['stub' => 'request.stub', 'path' => 'app/Http/Requests', 'extension' => '.php'],
            'NewsRepository'                 => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'NewsPresenter'                  => ['stub' => 'presenter.stub', 'path' => 'app/Presenters', 'extension' => '.php'],
            'views'                          => ['stub' => 'views', 'path' => 'resources/views/manager/news', 'extension' => 'folder'],
            // 'views-front'                    => ['stub' => 'views-front', 'path' => 'resources/views/app/news', 'extension' => 'folder'],
            // 'news'                           => ['stub' => 'news.scss.stub', 'path' => 'resources/assets/scss/sections', 'extension' => '.scss'],
            '{{datetime}}_create_news_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],

        'dependencies' => 'news_categories'
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para informações gerais do site
    |--------------------------------------------------------------------------
    */
   'infos' => [
        'title'       => 'Informações',
        'description' => 'CRUD para informações gerais do site',
        'obs'         => '',
        'route'       => 'routes.stub',
        'menu'        => 'menu.stub',

        'files' => [
            'InfosController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'Info'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'InfoRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'InfoPresenter'                   => ['stub' => 'presenter.stub', 'path' => 'app/Presenters', 'extension' => '.php'],
            'InfosComposer'                   => ['stub' => 'composer.stub', 'path' => 'app/Composers', 'extension' => '.php'],
            'InfoCollection'                  => ['stub' => 'collection.stub', 'path' => 'app/Collections', 'extension' => '.php'],
            'views'                           => ['stub' => 'views', 'path' => 'resources/views/manager/infos', 'extension' => 'folder'],
            '{{datetime}}_create_infos_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro lojas - Onde encontrar
    |--------------------------------------------------------------------------
    */
   'stores' => [
        'title'       => 'Onde encontrar - Lojas',
        'description' => 'CRUD para cadastro lojas - Onde encontrar',
        'obs'         => '',
        'route'       => 'routes.stub',

        'files' => [
            'StoresController'                 => ['stub' => 'manager-controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'Store'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'StoreRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'StoreSaveRequest'                 => ['stub' => 'request.stub', 'path' => 'app/Http/Requests', 'extension' => '.php'],
            'views'                            => ['stub' => 'views', 'path' => 'resources/views/manager/stores', 'extension' => 'folder'],
            '{{datetime}}_create_stores_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de coleção
    |--------------------------------------------------------------------------
    */
   'collection' => [
        'title'       => 'Coleção - Para sites de moda',
        'description' => 'CRUD para cadastro de coleção, com categorias e produtos',
        'obs'         => '',
        'route'       => 'routes.stub',
        'menu'        => 'menu.stub',

        'files' => [
            // controllers
            'manager-controllers'                    => ['stub' => 'controllers/manager', 'path' => 'app/Http/Controllers/Manager', 'extension' => 'folder'],
            'app-controllers'                        => ['stub' => 'controllers/app', 'path' => 'app/Http/Controllers/App', 'extension' => 'folder'],
            'models'                                 => ['stub' => 'models', 'path' => 'app/Models', 'extension' => 'folder'],
            'repositories'                           => ['stub' => 'repositories', 'path' => 'app/Repositories', 'extension' => 'folder'],
            'repositories'                           => ['stub' => 'presenters', 'path' => 'app/Presenters', 'extension' => 'folder'],
            'views'                                  => ['stub' => 'views', 'path' => 'resources/views/manager', 'extension' => 'folder'],
            '{{datetime}}_create_collections_tables' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de representantes
    |--------------------------------------------------------------------------
    */
   'representatives' => [
        'title'       => 'Representantes',
        'description' => 'CRUD para cadastro de representantes',
        'obs'         => '',
        'route'       => 'routes.stub',
        'menu'        => 'menu.stub',

        'files' => [
            'RepresentativesController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'Representative'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'RepresentativePresenter'                   => ['stub' => 'presenter.stub', 'path' => 'app/Presenters', 'extension' => '.php'],
            'RepresentativeRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'RepresentativeSaveRequest'                 => ['stub' => 'request.stub', 'path' => 'app/Http/Requests', 'extension' => '.php'],
            'views'                                     => ['stub' => 'views', 'path' => 'resources/views/manager/representatives', 'extension' => 'folder'],
            '{{datetime}}_create_representatives_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de serviços
    |--------------------------------------------------------------------------
    */
   'services' => [
        'title'       => 'Serviços',
        'description' => 'CRUD para cadastro de serviços',
        'obs'         => '',
        'route'       => 'routes.stub',
        'menu'        => 'menu.stub',

        'files' => [
            'ServicesController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'Service'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'ServicePresenter'                   => ['stub' => 'presenter.stub', 'path' => 'app/Presenters', 'extension' => '.php'],
            'ServiceRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'ServiceSaveRequest'                 => ['stub' => 'request.stub', 'path' => 'app/Http/Requests', 'extension' => '.php'],
            'views'                              => ['stub' => 'views', 'path' => 'resources/views/manager/services', 'extension' => 'folder'],
            '{{datetime}}_create_services_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de trabalhe conosco - envio de currículos
    |--------------------------------------------------------------------------
    */
   'applications' => [
        'title'       => 'Trabalhe Conosco',
        'description' => 'CRUD para cadastro de trabalhe conosco - envio de currículos',
        'obs'         => '',
        'route'       => 'routes.stub',
        'routes-app'  => 'routes-app.stub',
        // 'menu'        => 'menu.stub',

        'files' => [
            'ApplicationsController'                 => ['stub' => 'controller-manager.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'ApplicationsControllerApp'              => ['stub' => 'controller-app.stub', 'path' => 'app/Http/Controllers/App', 'extension' => '.php', 'name' => 'ApplicationsController'],
            'Application'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'ApplicationPresenter'                   => ['stub' => 'presenter.stub', 'path' => 'app/Presenters', 'extension' => '.php'],
            'ApplicationMailer'                      => ['stub' => 'mailer.stub', 'path' => 'app/Mail', 'extension' => '.php'],
            'ApplicationRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'ApplicationRequest'                     => ['stub' => 'request.stub', 'path' => 'app/Http/Requests', 'extension' => '.php'],
            'views'                                  => ['stub' => 'views', 'path' => 'resources/views/manager/applications', 'extension' => 'folder'],
            '{{datetime}}_create_applications_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de depoimentos
    |--------------------------------------------------------------------------
    */
    'testimonials' => [
        'title'       => 'Depoimentos',
        'description' => 'Cadastro de depoimentos',

        'route' => [
            'url'        => 'testimonials',
            'name'       => 'testimonials',
            'controller' => 'TestimonialsController',
        ],

        'files' => [
            'Testimonial'                            => ['stub' => 'model.stub',          'path' => 'app/Models',                    'extension' => '.php'],
            'TestimonialRepository'                  => ['stub' => 'repository.stub',     'path' => 'app/Repositories',              'extension' => '.php'],
            'TestimonialPresenter'                   => ['stub' => 'presenter.stub',      'path' => 'app/Presenters',                'extension' => '.php'],
            'TestimonialsController'                 => ['stub' => 'manager-controller.stub',     'path' => 'app/Http/Controllers/Manager',  'extension' => '.php'],
            'TestimonialSaveRequest'                 => ['stub' => 'request.stub',        'path' => 'app/Http/Requests',             'extension' => '.php'],
            'index.blade'                            => ['stub' => 'views/index.stub',     'path' => 'resources/views/manager/testimonials', 'extension' => '.php'],
            'create.blade'                           => ['stub' => 'views/create.stub',    'path' => 'resources/views/manager/testimonials', 'extension' => '.php'],
            'edit.blade'                             => ['stub' => 'views/edit.stub',      'path' => 'resources/views/manager/testimonials', 'extension' => '.php'],
            'fields.blade'                           => ['stub' => 'views/fields.stub',    'path' => 'resources/views/manager/testimonials', 'extension' => '.php'],
            '{{datetime}}_create_testimonials_table' => ['stub' => 'migration.stub',      'path' => 'database/migrations',           'extension' => '.php'],
        ],
    ],
];
