const gulp       = require('gulp'),
      elixir     = require('laravel-elixir')
      gutil      = require('gulp-util'),
      uglify     = require('gulp-uglify'),
      concat     = require('gulp-concat'),
      imagemin   = require('gulp-imagemin');

require('laravel-elixir-vue');
require('laravel-elixir-spritesmith');

elixir.config.sourcemaps = false;

/*
 |--------------------------------------------------------------------------
 | Elixir Asset Management
 |--------------------------------------------------------------------------
 |
 | Elixir provides a clean, fluent API for defining some basic Gulp tasks
 | for your Laravel application. By default, we are compiling the Sass
 | file for our application, as well as publishing vendor resources.
 |
 */

elixir(mix => {
    mix.sass('main.scss', 'public/css/main.css')
       .webpack('vendor.js', 'public/js/vendor.js')
       .webpack('main.js', 'public/js/main.js')
       .webpack('medias.js', 'public/js/medias.js');
});

gulp.task('uglify', function() {
    gulp.src([
            'node_modules/blueimp-canvas-to-blob/js/canvas-to-blob.min.js',
            // 'node_modules/blueimp-file-upload/js/jquery.fileupload.js'
        ])
        .pipe(uglify())
        .pipe(concat('medias.vendor.js'))
        .pipe(gulp.dest('public/js'));

    gulp.src([
            'node_modules/blueimp-file-upload/js/vendor/jquery.ui.widget.js',
            'node_modules/blueimp-file-upload/js/jquery.iframe-transport.js',
            'node_modules/blueimp-file-upload/js/jquery.fileupload.js',
            'node_modules/medium-editor-insert-plugin/dist/js/medium-editor-insert-plugin.min.js',
        ])
        .pipe(uglify())
        .pipe(concat('medium-editor-insert-plugin.js'))
        .pipe(gulp.dest('public/js'));
});
