/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// identity function for calling harmory imports with the correct context
/******/ 	__webpack_require__.i = function(value) { return value; };
/******/
/******/ 	// define getter function for harmory exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		Object.defineProperty(exports, name, {
/******/ 			configurable: false,
/******/ 			enumerable: true,
/******/ 			get: getter
/******/ 		});
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports) {

"use strict";
'use strict';

(function () {
    window.App = window.App || {};

    var $form = $('#form-medias'),
        $alerts = $('.js-alert'),
        $progress = $('.progress'),
        $fileuploadDrag = $('.js-fileupload-drag');

    // ==================================================================
    // Helper functions
    // ==================================================================
    var replaceMedia = function replaceMedia(media) {
        var template = $('#media-template').html();

        // adicionando o crop position
        template = template.replace('value="' + media.crop_position + '"', 'value="' + media.crop_position + '" selected="selected"');

        return template.replace(/{ (\w+) }/g, function (_, k) {
            return media[k] == null ? '' : media[k];
        });
    };

    var appendMedia = function appendMedia(html) {
        $('.js-thumbnails').append(html);
    };

    var processResponseObject = function processResponseObject(response) {
        return appendMedia(replaceMedia(response));
    };

    var processResponseArray = function processResponseArray(response) {
        console.log(response);
        for (var i = 0; i < response.length; i++) {
            processResponseObject(response[i]);
        }

        App.Videos.bindLiveEvents();
    };

    // ======================================================================
    // Retrieving all medias
    // ======================================================================
    $.ajax({
        url: window.location.href,
        method: 'get',

        complete: function complete(jqXHR, textStatus) {
            if (jqXHR.responseJSON.length > 0) {
                $('.js-with-medias').show();
            } else {
                $('.js-no-medias').show();
            }

            return processResponseArray(jqXHR.responseJSON);
        }
    });

    $('#files').fileupload({
        singleFileUploads: false,
        multipart: true,

        progressall: function progressall(e, data) {
            var progress = parseInt(data.loaded / data.total * 100, 10);
            $progress.find('.progress-bar').css('width', progress + '%');
        },

        dragover: function dragover(e) {
            $fileuploadDrag.addClass('hover');
        },

        drop: function drop(e) {
            $fileuploadDrag.removeClass('hover');
        },

        add: function add(e, data) {
            $progress.show();
            $fileuploadDrag.hide();
            data.submit();
        },

        done: function done(result, textStatus, jqXHR) {
            $('.js-with-medias').show();
            $('.js-no-medias').hide();
        },

        complete: function complete(response) {
            $progress.hide();
            $fileuploadDrag.show();

            return processResponseArray(response.responseJSON);
        },

        error: function error(jqXHR, textStatus, errorThrown) {
            $alerts.show().html('');

            for (var i = 0; i < jqXHR.responseJSON.files.length; i++) {
                $alerts.append(jqXHR.responseJSON.files[i]);
            }
        }
    });

    $('.medias').on('dragleave', function (e) {
        e.preventDefault();

        $('.js-fileupload-drag').removeClass('hover');
    });

    // ========================================================================
    // Updating media
    // ========================================================================
    $(document).on('submit', '.js-form-media-update', function (e) {
        var $parent, $this, $btn, id;
        e.preventDefault();

        $this = $(this);
        $btn = $this.find('.js-btn-submit');

        $.ajax({
            type: 'POST',
            url: $this.prop('action'),
            data: $this.serialize(),

            beforeSend: function beforeSend() {
                $btn.prop('disabled', true);
            }
        }).always(function () {
            $btn.prop('disabled', false);
        });
    });

    // -------------------------------------
    // Sorting thumbnails
    $('.js-thumbnails').sortable({
        update: function update(e, ui) {
            var $thumbs = $('[data-media]'),
                order = 0;

            $thumbs.each(function (e) {
                var $this = $(this),
                    id = $this.data('id'),
                    token = $this.find('.js-form-media-update input[name="_token"]').val();

                order++;

                $.post($form.prop('action') + '/' + id, {
                    '_method': 'put',
                    '_token': token,
                    'order': order
                });
            });
        }
    });

    // -------------------------------------------------------------------------
    // formulário de vídeos
    App.Videos = {
        init: function init() {
            this.fetchElements();
            this.bindUIEvents();
        },

        fetchElements: function fetchElements() {
            this.$form = $('#form-videos');
            this.$video = this.$form.find('input[name="video"]');
            this.$btnSubmit = this.$form.find('.js-btn-submit');
            this.$modal = $('#modal-video');
        },

        bindUIEvents: function bindUIEvents() {
            var _this = this;

            this.$form.on('submit', function (e) {
                e.preventDefault();
                _this.store();
            });
        },

        store: function store() {
            var _this = this;

            $.ajax({
                type: 'POST',
                url: _this.$form.prop('action'),
                data: _this.$form.serialize(),
                beforeSend: function beforeSend() {
                    _this.$btnSubmit.prop('disabled', true);
                }
            }).done(function (data) {
                processResponseArray(data);
                _this.$btnSubmit.prop('disabled', false);
            });
        },

        bindLiveEvents: function bindLiveEvents() {
            var _this = this;

            $('.medias-list-item-video').on('click', function (e) {
                _this.openVideo($(this).data('file'));
            });

            this.$modal.on('hide.bs.modal', function () {
                _this.$modal.find('iframe').attr('src', '');
            });
        },

        openVideo: function openVideo(video) {
            this.$modal.find('iframe').attr('src', 'https://www.youtube.com/embed/' + video);
            this.$modal.modal('show');
        }
    };

    // -------------------------------------------------------------------------
    // inits
    App.Videos.init();
}).call(undefined);

/***/ }
/******/ ]);