@extends(config('manager.views.layouts.master'))

@section('content')
    @include('manager::partials.breadcrumb', [
        'pages' => [
            route('manager.awards.index', $about->id) => 'Certificados',
            $award->title,
            'Editar',
        ]
    ])

    @include('manager::partials.page-header', [
        'title'    => 'Certificados',
        'subtitle' => 'Editar',
        'link'     => [
            'route'    => route('manager.awards.index', $about->id),
            'label'    => 'Voltar',
            'btn-type' => 'default',
        ],
    ])

    @include('manager::partials.messages')

    <form action="{{ route('manager.awards.update', ['about' => $about->id, 'id' => $award->id ] ) }}" method="post" id="form-award" class="form-horizontal" enctype="multipart/form-data">
        {{ csrf_field() }}
        {{ method_field('put') }}

        <fieldset>
            @include('manager.awards.fields')
        </fieldset>

        <hr>

        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <button type="submit" class="btn btn-primary js-btn-submit" data-loading-text="Carregando...">Salvar</button>
                <a href="{{ route('manager.awards.index', $about->id) }}" class="btn">Cancelar</a>
            </div>
        </div>
    </form>
@stop
