@extends(config('manager.views.layouts.master'))

@section('content')
    @include('manager::partials.breadcrumb', [
        'pages' => ['Certificados']
    ])

    @include('manager::partials.page-header', [
        'title' => 'Certificados',
        'link'  => [
            'route'    => route('manager.awards.create', $about->id),
            'label'    => 'Inserir Certificado',
            'btn-type' => 'primary',
        ],
    ])

    @include('manager::partials.messages')

    <div class="table-responsive">
        <table class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th>Certificado</th>
                    <th width="150">Ações</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($awards as $award)
                    <tr>
                        <td>{{ $award->title }}</td>
                        <td>
                            <div class="btn-group btn-group-sm">
                                <a href="{{ route('manager.awards.edit', ['about' => $about->id, 'id' => $award->id ] ) }}" class="btn btn-default" title="Editar">
                                    <span class="glyphicon glyphicon-pencil"></span> editar
                                </a>

                                <a href="{{ route('manager.awards.destroy',['about' => $about->id, 'id' => $award->id ] ) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                    <span class="glyphicon glyphicon-trash"></span> excluir
                                </a>
                            </div><!-- .btn-group -->
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table><!-- .table -->
    </div><!-- .table-responsive -->

    @if ($awards->count() === 0)
        <h3 class="text-center">Sem certificados até o momento.</h3>
    @endif

@stop
