<?php

namespace App\Http\Controllers\Manager;

use App\Models\Category;
use EscapeWork\Manager\Http\Controllers\Controller;
use Illuminate\Http\Request;

class CategoriesController extends Controller
{
    public function index()
    {
        return view('manager.categories.index', [
            'categories' => Category::whereNull('category_id')->orderBy('collection_id', 'desc')->get(),
        ]);
    }

    public function edit($id)
    {
        $category = Category::findOrFail($id);

        return view('manager.categories.edit', [
            'category' => $category,
        ]);
    }

    public function update($id, Request $request)
    {
        $category = Category::findOrFail($id);

        if ($request->hasFile('cover')) {
            $category->uploadSingleMedia($request->file('cover'), 'cover');
            $category->save();
        }

        return response()->manager([
            'route'   => route('manager.categories.index'),
            'message' => 'A categoria foi atualizada com sucesso',
        ]);
    }
}
