<?php

namespace App\Http\Controllers\Manager;

use App\Models\Collection;
use EscapeWork\Manager\Http\Controllers\Controller;
use Illuminate\Http\Request;

class CollectionsController extends Controller
{
    public function index()
    {
        return view('manager.collections.index', [
            'collections' => Collection::all(),
        ]);
    }

    public function update($id, Request $request)
    {
        $collection = Collection::findOrFail($id);
        $collection->fill($request->all());
        $collection->save();

        return response()->manager([
            'route'   => route('manager.collections.index'),
            'message' => 'A coleção foi atualizada com sucesso',
        ]);
    }
}
