<?php

namespace App\Models;

use EscapeWork\LaravelSteroids\Model;
use EscapeWork\LaravelSteroids\Presentable;
use EscapeWork\LaravelSteroids\Sluggable;
use EscapeWork\LaravelSteroids\SortableScope;

class Collection extends Model
{

    /**
     * Table
     */
    protected $table = 'collections';

    /**
     * Fillable fields
     */
    protected $fillable = [
        'title',
    ];

    /**
     * Traits
     */
    use Sluggable;

    public static function sync($title)
    {
        $title = ucwords(str_replace('-', ' ', $title));

        if (! $collection = static::where('title', '=', $title)->first()) {
            $collection = static::create(['title' => $title]);
        }

        return $collection;
    }

    public static function boot()
    {
        parent::boot();

        static::addGlobalScope(new SortableScope('created_at', 'desc'));
    }

    public static function active()
    {
        return static::where('active', '=', 1)->first();
    }
}
