<?php

namespace App\Presenters;

use EscapeWork\LaravelSteroids\Presenter;
use Illuminate\Support\Str;

class ProductPresenter extends Presenter
{

    public function picture($w = 105, $h = 75, $fit = 'resize')
    {
        if ($media = $this->model->medias->first()) {
            return $media->present->picture($w, $h, $fit);
        }
    }

    public function card($w = 500, $h = 200, $fit = 'fit')
    {
        if ($card = $this->model->card) {
            return asset('medias/products/' . $card . '?w=' . $w . '&h=' . $h . '&fit=' . $fit);
        }
    }

    public function title_limited($limit = 30)
    {
        return Str::limit($this->model->title, $limit);
    }

    public function collection()
    {
        return $this->model->collection->title;
    }

    public function category()
    {
        return $this->model->category->title;
    }

    public function subcategory()
    {
        return $this->model->subcategory->title;
    }

    public function created_at()
    {
        return $this->model->created_at->format('d/m/Y H:i');
    }

    public function link()
    {
        return route('collection.product', [$this->model->category->slug, $this->model->slug]);
    }
}
