<?php

namespace App\Repositories;

use App\Models\Category;
use EscapeWork\LaravelSteroids\Repository;
use Illuminate\Support\Facades\Cache;

class CategoryRepository extends Repository
{

    public function __construct(Category $model)
    {
        $this->model = $model;
    }

    public function actives()
    {
        return Cache::rememberForever('categories.actives', function() {
            return $this->model
                        ->active()
                        ->parent()
                        ->get();
        });
    }
}
