@extends(config('manager.views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li>Coleções</li>
        <li class="active">Categorias</li>
    </ul>

    <div class="page-header clearfix">
        <h2 class="pull-left">Categorias</h2>

        <div class="pull-right" style="margin-top: 10px;">

        </div><!-- .pull-right -->
    </div><!-- .page-header -->

    @include('manager::partials.messages')

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th width="100">Capa</th>
                <th>Coleção</th>
                <th>Categoria</th>
                <th width="100">Ativa</th>
                <th width="80">Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($categories as $category)
                <tr>
                    <td>
                        @if ($category->cover)
                            <img src="{{ $category->present->cover(100, 30, 'crop') }}" alt="">
                        @endif
                    </td>
                    <td>{{ $category->collection->title }}</td>
                    <td>{{ $category->title }}</td>
                    <td><input type="checkbox" data-id="{{ $category->id }}" data-manager-update-checkbox="active" data-manager-update-url="{{ route('manager.categories.update', $category->id) }}" {!! $category->active ? 'checked="checked"' : null !!}></td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.categories.edit', $category->id) }}" class="btn btn-default">
                                <span class="glyphicon glyphicon-edit"></span> editar
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->
@stop
