@extends(config('manager.views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li class="active">Coleções</li>
    </ul>

    <div class="page-header clearfix">
        <h2 class="pull-left">Coleções</h2>

        <div class="pull-right" style="margin-top: 10px;">
            <a href="{{ route('home') }}" class="btn btn-primary" target="_blank">
                Ver no site &nbsp; <span class="glyphicon glyphicon-arrow-right"></span>
            </a>
        </div><!-- .pull-right -->
    </div><!-- .page-header -->

    @include('manager::partials.messages')

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>Coleção</th>
                <th width="100">Ativa</th>
                <th width="80">Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($collections as $collection)
                <tr>
                    <td>{{ $collection->title }}</td>
                    <td><input type="checkbox" data-id="{{ $collection->id }}" data-manager-update-checkbox="active" data-manager-update-url="{{ route('manager.collections.update', $collection->id) }}" {!! $collection->active ? 'checked="checked"' : null !!}></td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.products.index') }}" class="btn btn-default">
                                <span class="glyphicon glyphicon-search"></span> ver produtos
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->
@stop
