@extends(config('manager.views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li>Coleções</li>
        <li class="active">Produtos</li>
    </ul>

    <div class="page-header clearfix">
        <h2 class="pull-left">Produtos</h2>

        <div class="pull-right" style="margin-top: 10px;">

        </div><!-- .pull-right -->
    </div><!-- .page-header -->

    @include('manager::partials.messages')

    <form action="{{ route('manager.products.index') }}" class="form-inline well">
        <input type="text" name="reference" class="form-control" value="{{ request('reference') }}" placeholder="Busca por referência..." maxlength="255" autofocus>
        {!! Form::select('category_id', Category::actives()->combobox(['empty_option_label' => 'Categoria']), request('category_id'), ['class' => 'form-control']) !!}

        <button type="submit" class="btn btn-primary">Filtrar</button>
        <a href="{{ route('manager.products.index') }}" class="btn btn-default">Limpar filtros</a>
    </form>

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th width="50"></th>
                <th>Coleção</th>
                <th>Categoria</th>
                <th>Linha</th>
                <th>Referência</th>
                <th width="100">Ativo</th>
                <th width="100">Destaque</th>
                <th width="100">Funcional</th>
                <th width="220">Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($products as $product)
                <tr>
                    <td>
                        <img src="{{ $product->present->picture(50, 25, 'crop') }}" alt="">
                    </td>
                    <td>{{ $product->present->collection }}</td>
                    <td>{{ $product->present->category }}</td>
                    <td>{{ $product->present->subcategory }}</td>
                    <td>{{ $product->reference }}</td>
                    <td><input type="checkbox" data-id="{{ $product->id }}" data-manager-update-checkbox="active" data-manager-update-url="{{ route('manager.products.update', $product->id) }}"   {!! $product->active ? 'checked="checked"' : null !!}></td>
                    <td><input type="checkbox" data-id="{{ $product->id }}" data-manager-update-checkbox="featured" data-manager-update-url="{{ route('manager.products.update', $product->id) }}" {!! $product->featured ? 'checked="checked"' : null !!}></td>
                    <td><input type="checkbox" data-id="{{ $product->id }}" data-manager-update-checkbox="functional" data-manager-update-url="{{ route('manager.products.update', $product->id) }}" {!! $product->functional ? 'checked="checked"' : null !!}></td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('collection.product', [$product->category->slug, $product->slug]) }}" class="btn btn-default" title="Ver" target="_blank">
                                <span class="glyphicon glyphicon-search"></span> ver no site
                            </a>

                            <a href="{{ route('manager.products.edit', $product->id) }}" class="btn btn-default" title="Editar">
                                <span class="glyphicon glyphicon-pencil"></span> editar
                            </a>

                            <a href="{{ route('manager.medias.index', ['products', $product->id]) }}" class="btn btn-default" title="Fotos">
                                <span class="glyphicon glyphicon-camera"></span> fotos
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->

    {!! $products->appends(request()->except('page'))->render() !!}
@stop
