@extends('dashboard.master')

@section('content')
    <div class="box-form-login">
        <div class="page-header">
            <h2>Dashboard <small>login</small></h2>
        </div><!-- .page-header -->

        @include('manager::partials.messages')

        <form class="form-horizontal form-login" action="{{ route('dashboard.auth.login') }}" method="post" id="form-login">
            {{ csrf_field() }}

            <fieldset>
                <div class="form-group">
                    <div class="col-sm-12">
                        <input type="email" class="form-control input-lg" name="email" id="email" placeholder="Seu e-mail" value="{{ old('email') }}" autofocus tabindex="1">
                    </div>
                </div><!-- .form-group -->

                <div class="form-group">
                    <div class="col-sm-12">
                        <input type="password" class="form-control input-lg" name="password" id="password" placeholder="Sua senha" tabindex="2">
                    </div>
                </div><!-- .form-group -->

                <div class="row">
                    <div class="col-md-6">
                        <div class="checkbox">
                            <label>
                                <input type="checkbox" name="remember" id="remember" value="1" tabindex="3">
                                Manter conectado
                            </label>
                        </div>
                    </div><!-- .pull-left -->

                    <div class="col-md-6 text-right">
                        <button type="submit" class="btn btn-lg btn-primary js-btn-login" data-loading-text="Aguarde..." tabindex="4">Login</button><br><br>
                        <a class="btn-link" href="#modal-esqueci-minha-senha" id="btn-esqueci-minha-senha" data-toggle="modal" tabindex="5">{{ trans('manager::login.btns.forgot-password') }}</a>
                    </div>
                </div><!-- .row -->
            </fieldset>
        </form><!-- #form-login -->
    </div><!-- .box-form-login -->

    <!-- Modal do esqueci minha senha -->
    <div class="modal fade" id="modal-esqueci-minha-senha">
        <div class="modal-dialog">
            <div class="modal-content">
                <form action="{{ route('dashboard.auth.password.send') }}" method="post" id="form-esqueci-minha-senha" class="form-horizontal">
                    {{ csrf_field() }}

                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Esqueci minha senha</h4>
                    </div><!-- .modal-header -->

                    <div class="modal-body">
                        <p>Digite seu e-mail abaixo para recuperar sua senha.</p>

                        <fieldset>
                            <input type="email" name="email" id="email-esqueci-minha-senha" class="form-control" placeholder="E-mail" required maxlength="255">
                        </fieldset>
                    </div><!-- .modal-body -->

                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary js-btn-recover-password" data-loading-text="Aguarde...">Recuperar senha</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
                    </div><!-- .modal-footer -->
                </form>
            </div><!-- .modal-content -->
        </div><!-- .modal-dialog -->
    </div><!-- .modal -->
@stop

@section('scripts')
    @parent
    <script type="text/javascript">
    (function() {
        $('#form-login').on('submit', function(e) {
            if (window.localStorage) {
                localStorage.setItem('dashboard.email', $('#email').val());
            }

            $('.js-btn-login').button('loading');
        });

        if (window.localStorage) {
            if (localStorage.getItem('dashboard.email')) {
                $('#email').val(localStorage.getItem('dashboard.email'));
                $('#password').focus();
            }
        }

        $('#form-esqueci-minha-senha').on('submit', function(e) {
            $('.js-btn-recover-password').button('loading');
        });
    })();
    </script>
@stop
