@extends('dashboard.master')

@section('content')
    <div class="page-header clearfix">
        <h2>Alterar senha</h2>
    </div><!-- .page-header -->

    @include('manager::partials.messages')

    <form action="{{ route('dashboard.password.reset.update') }}" method="post" id="form-reset-password" class="form-horizontal">
         {{ csrf_field() }}
         <input type="hidden" name="token" value="{{ $token }}">

        <fieldset>
            <div class="form-group">
                <label for="email" class="control-label col-sm-3">E-mail</label>

                <div class="col-sm-6">
                    <input type="email" name="email" id="email" class="form-control" value="{{ old('email') }}" autofocus>
                </div><!-- .col-sm-8 -->
            </div><!-- .form-group -->

            <div class="form-group">
                <label for="password" class="control-label col-sm-3">Nova senha</label>

                <div class="col-sm-6">
                    <input type="password" name="password" id="password" class="form-control" required>
                </div><!-- .col-sm-8 -->
            </div><!-- .form-group -->

            <div class="form-group">
                <label for="password_confirmation" class="control-label col-sm-3">Confirme sua nova senha</label>

                <div class="col-sm-6">
                    <input type="password" name="password_confirmation" id="password_confirmation" class="form-control" required>
                </div><!-- .col-sm-8 -->
            </div><!-- .form-group -->
        </fieldset>

        <div class="form-group">
            <div class="col-sm-offset-3 col-sm-3">
                <button type="submit" class="btn btn-primary js-btn-submit" data-loading-text="Aguarde...">Alterar senha</button>
            </div>

            <div class="col-sm-3 text-right" style="padding-top: 10px;">
                <a href="{{ route('dashboard.auth.login.index') }}">Fazer login</a>
            </div>
        </div>
    </form>
@stop

@section('scripts')
    @parent

    <script type"text/javascript">
        $('#form-reset-password').on('submit', function() {
            $('.js-btn-submit').button('loading');
        });
    </script>
@stop
