<!doctype html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    {{-- favicons --}}
    @include('app.inc.favicons')

    @section('seo')
        <title>Dashboard</title>
        <link rel="canonical" href="{{ route('dashboard.home') }}">
    @show

    @section('styles')
        <link rel="stylesheet" type="text/css" href="{{ Asset::v('assets/css/dashboard.css') }}">
    @show

    <script type="text/javascript" src="{{ asset('assets/js/vendor/modernizr.js') }}"></script>
</head>
<body>
    <nav class="navbar navbar-default" role="navigation">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>

                <a class="navbar-brand" href="#">
                    Dashboard
                </a>
            </div><!-- .navbar-header -->

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                @if (auth()->check())
                    <ul class="nav navbar-nav navbar-right">
                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                {{ auth()->user()->name }} <span class="caret"></span>
                            </a>

                            <ul class="dropdown-menu" role="menu">
                                <li>
                                    <a href="{{ route('dashboard.password.change.index') }}">Alterar senha</a>
                                </li>

                                <li>
                                    <a href="{{ route('dashboard.auth.logout') }}">Sair</a>
                                </li>
                            </ul>
                        </li>
                    </ul>

                    <ul class="nav navbar-nav">
                        <li>
                            <a href="#">Downloads</a>
                        </li>
                    </ul>
                @endif
            </div><!-- /.navbar-collapse -->
        </div><!-- /.container-fluid -->
    </nav>

    <div class="container">
        <section class="content">
            @yield('content')
        </section><!-- .content -->
    </div><!-- .container -->

    @section('scripts')
        <script type="text/javascript" src="{{ asset('assets/js/vendor/dashboard.min.js') }}"></script>
        <script type="text/javascript" src="{{ Asset::v('assets/js/dashboard/main.min.js') }}"></script>
    @show
</body>
</html>
