@extends('dashboard.master')

@section('content')
    <ul class="breadcrumb">
        <li>Área restrita</li>
        <li class="active">Alterar senha</li>
    </ul>

    <div class="page-header clearfix">
        <h2>Alterar senha</h2>
    </div>

    @include('manager::partials.messages')

    <form action="{{ route('dashboard.password.change.update') }}" method="post" id="form-change-password" class="form-horizontal" enctype="multipart/form-data">
        {{ csrf_field() }}
        {{ method_field('put') }}

        <fieldset>
            <div class="form-group">
                <label for="old_password" class="control-label col-sm-2">Senha antiga</label>

                <div class="col-sm-3">
                    <input type="password" name="old_password" id="old_password" class="form-control" maxlength="255" autofocus required>
                </div><!-- .col-sm-3 -->
            </div><!-- .form-group -->

            <div class="form-group">
                <label for="password" class="control-label col-sm-2">Nova senha</label>

                <div class="col-sm-3">
                    <input type="password" name="password" id="password" class="form-control" maxlength="255" required>
                </div><!-- .col-sm-3 -->

                <label for="password_confirmation" class="control-label col-sm-2">Confirme sua senha</label>

                <div class="col-sm-3">
                    <input type="password" name="password_confirmation" id="password_confirmation" class="form-control" maxlength="255" required>
                </div><!-- .col-sm-3 -->
            </div><!-- .form-group -->
        </fieldset>

        <hr>

        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <button type="submit" class="btn btn-primary js-btn-submit" data-loading-text="Aguarde...">Alterar senha</button>
            </div>
        </div>
    </form>
@stop

@section('scripts')
    @parent

    <script type="text/javascript">
    (function() {
        $('#form-change-password').on('submit', function(e) {
            $(this).find('.js-btn-submit').button('loading');
        });
    })();
    </script>
@stop
