<div class="form-group">
    <label for="title" class="control-label col-sm-2">Título</label>

    <div class="col-sm-8">
        <input type="text" class="form-control" value="{{ $info->title }}" maxlength="255" readonly>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

@if( $info->type == 'string')
<div class="form-group">
    <label for="value" class="control-label col-sm-2">Valor</label>

    <div class="col-sm-8">
        <input type="text" name="value" id="value" class="form-control" value="{{ $info->value }}" maxlength="255" autofocus required>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->
@endif

@if( $info->type == 'image')
<div class="form-group">
    <label for="picture" class="control-label col-sm-2">Imagem</label>

    <div class="d-flex">
        <div class="col-sm-4">
            <input type="file" name="picture" id="picture" class="form-control">
            <span class="help-block">Apenas imagens do tipo <strong>jpg</strong> ou <strong>png</strong> são aceitas. {{ $info->extras }}</span>
            @if ($info->value)
                <span class="help-block">Apenas selecione se for alterar.</span>
            @endif
        </div><!-- .col-sm-4 -->

        <div class="col-sm-4">
            @if ($info->value)
                <h5>Imagem atual</h5>

                <img src="{{ $info->present->picture(100, 50) }}" alt="">
            @endif
        </div><!-- .col-sm-4 -->
    </div>
</div><!-- .form-group -->
@endif

@if( $info->type == 'text')
<div class="form-group">
    <label for="value" class="control-label col-sm-2">Descrição</label>

    <div class="col-sm-8">
        <textarea name="value" id="value" rows="5" class="form-control">{{ $info->value }}</textarea>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->
@endif

@if( $info->type == 'text-html')
<div class="form-group">
    <label for="value" class="control-label col-sm-2">Descrição</label>

    <div class="col-sm-8">
        <textarea name="value" id="value" data-editor class="form-control">{{ $info->value }}</textarea>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->
@endif

@section('scripts')
    @parent

    <script type="text/javascript">
    (function() {
        $('#form-info').on('submit', function(e) {
            $(this).find('.js-btn-submit').button('loading');
        });
    })();
    </script>
@stop
