@extends(config('manager.views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li class="active">Leads</li>
    </ul>

    <div class="page-header clearfix">
        <h2 class="pull-left">Leads</h2>

        <div class="pull-right" style="margin-top: 10px;">
            <a href="{{ route('manager.leads.export', request()->all()) }}" class="btn btn-primary">Exportar</a>
        </div><!-- .pull-right -->
    </div><!-- .page-header -->

    @include('manager::partials.messages')

    <form action="{{ route('manager.leads.index') }}" class="form-inline well">
        <input type="text" name="name" class="form-control" value="{{ request('name') }}" placeholder="Nome..." maxlength="255" autofocus>
        <input type="email" name="email" class="form-control" value="{{ request('email') }}" placeholder="E-mail..." maxlength="255">

        <button type="submit" class="btn btn-primary">Filtrar</button>
        <a href="{{ route('manager.leads.index') }}" class="btn btn-default">Limpar filtros</a>
    </form>

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>Nome</th>
                <th>E-mail</th>
                <th>Estado</th>
                <th>Data do cadastro</th>
                <th width="80">Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($leads as $lead)
                <tr>
                    <td>{{ $lead->name }}</td>
                    <td>{{ $lead->email }}</td>
                    <td>{{ $lead->state }}</td>
                    <td>{{ $lead->present->created_at }}</td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.leads.destroy', $lead->id) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                <span class="glyphicon glyphicon-trash"></span> excluir
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->

    @if ($leads->count() === 0)
        <h3 class="text-center">Nenhum contato encontrado.</h3>
    @endif

    {!! $leads->appends(request('page'))->render() !!}
@stop
