@extends('app.master')

@section('seo')
    <title>Novidades | Laboratório Qualitá</title>
    <link rel="canonical" href="{{ route('news') }}">
@stop

@section('styles')
    @parent
    <link rel="stylesheet" type="text/css" href="{{ Asset::v('assets/css/sections/news.css') }}">
@stop

@section('content')
    <section class="session pages custom novidades">
        <div class="container content-pages">
            <div class="row">
                <div class="col-md-12 col full">
                    <div class="item-content">
                        <h3 class="session-title color-secundary align-center">
                            <span>Novidades</span>
                        </h3>
                        {{-- /title --}}

                        <div class="block-content-news">
                            <div class="row">
                                @foreach ($featured as $new)
                                    <div class="col-md-6 col">
                                        <a href="{{ route('news.show', $new->slug) }}" class="block-content-item">
                                            <span class="block-image" style="background-image: url({{ $new->present->picture(535, 265, 'crop') }})"></span>
                                            <span class="date text">{{ $new->present->date }}</span>
                                            <span class="title text upper">{{ $new->present->title }}</span>

                                            <span class="text description">
                                                {{ $new->present->excerpt }}
                                            </span>
                                        </a>
                                        {{-- /block-content-item --}}
                                    </div>
                                    {{-- /col --}}
                                @endforeach
                            </div>
                            {{-- /row --}}

                            @foreach ($news->chunk(3) as $chunk)
                                <div class="row more-news">
                                    @foreach ($chunk as $new)
                                        <div class="col-md-4 col">
                                            <a href="{{ route('news.show', $new->slug) }}" class="block-content-item">
                                                <span class="block-image" style="background-image: url({{ $new->present->picture(350, 235, 'crop') }})"></span>
                                                <span class="date text">{{ $new->present->date }}</span>
                                                <span class="title text">{{ $new->present->title }}</span>
                                                <span class="text description">
                                                    {{ $new->present->excerpt }}
                                                </span>
                                            </a>
                                            {{-- /block-content-item --}}
                                        </div>
                                        {{-- /col --}}
                                    @endforeach
                                </div>
                                {{-- /row --}}
                            @endforeach

                            @if ($all->hasMorePages())
                                <div class="block-show-more">
                                    <a class="btn show-more upper btn-icon" href="{{ $all->nextPageUrl() }}" title="Carregar mais novidades">
                                        Ver mais novidades <i class="fa fa-chevron-down"></i>
                                    </a>
                                </div>
                            @endif
                            {{-- /block-show-more --}}
                        </div>
                        {{-- /block-content-news --}}
                    </div>
                    {{-- /item-content --}}
                </div>
                {{-- /col --}}
            </div>
            {{-- /row --}}
        </div>
        {{-- /container --}}
    </section>
    {{-- /section --}}
@stop
