@extends('app.master')

@section('seo')
    @include('app.inc.seo', [
        'title'       => $news->title . ' | Laboratório Qualitá',
        'description' => $news->present->excerpt(160),
        'picture'     => $news->present->picture(800, 800),
        'route'       => route('news.show', $news->slug),
    ])
@stop

@section('styles')
    @parent
    <link rel="stylesheet" type="text/css" href="{{ Asset::v('assets/css/sections/news.css') }}">
@stop

@section('content')
    <section class="session pages custom novidades detail">
        <div class="container content-pages">
            <div class="row">
                <div class="col-md-12 col full">
                    <div class="item-content">
                        <div class="block-content-news">
                            <div class="row">
                                <div class="col-md-8 col">
                                    <div class="block-content-item">
                                        <div class="date">{{ $news->present->date }}</div>
                                        <h2 class="title upper">{{ $news->present->title }}</h2>

                                        @if ($news->medias->count() > 0)
                                            <img class="image" src="{{ $news->present->picture(700, 700) }}" alt="{{ $news->title }}">
                                        @endif

                                        <div class="description">
                                            {!! $news->present->content !!}
                                        </div>

                                        <div class="share">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="title">Compartilhe!</div>
                                                </div>
                                                {{-- /col --}}

                                                <div class="col-md-6 col-buttons">
                                                    <div class="fb-like" data-href="https://developers.facebook.com/docs/plugins/" data-layout="button" data-action="like" data-size="small" data-show-faces="false" data-share="true"></div>
                                                </div>
                                                {{-- /col --}}
                                            </div>
                                            {{-- /row --}}
                                        </div>
                                        {{-- /share --}}
                                    </div>
                                    {{-- /block-content-item --}}
                                </div>
                                {{-- /col --}}

                                <div class="col-md-2 col col-more">
                                    <div class="title-col">Veja também...</div>

                                    <div class="list-news">
                                        @foreach ($related as $item)
                                            <li class="item">
                                                <a href="{{ route('news.show', $item->slug) }}" class="block-content-item">
                                                    <span class="block-image" style="background-image: url({{ $item->present->picture(350, 235, 'crop') }})"></span>
                                                    <span class="date text">{{ $item->present->date }}</span>
                                                    <span class="title text">{{ $item->present->title }}</span>
                                                </a>
                                                {{-- /block-content-item --}}
                                            </li>
                                            {{-- /item --}}
                                        @endforeach
                                    </div>
                                    {{-- list-news --}}

                                    <div class="block-show-more">
                                        <a class="btn show-more upper btn-icon" href="{{ route('news') }}" title="Carregar mais novidades">
                                            Ver todas novidades <i class="fa fa-chevron-right"></i>
                                        </a>
                                    </div>
                                    {{-- /block-show-more --}}
                                </div>
                                {{-- /col --}}
                            </div>
                            {{-- /row --}}
                        </div>
                        {{-- /block-content-news --}}
                    </div>
                    {{-- /item-content --}}
                </div>
                {{-- /col --}}
            </div>
            {{-- /row --}}
        </div>
        {{-- /container --}}
    </section>
    {{-- /section --}}
@stop

@section('scripts')
    @parent
    <div id="fb-root"></div>
    <script>(function(d, s, id) {
      var js, fjs = d.getElementsByTagName(s)[0];
      if (d.getElementById(id)) return;
      js = d.createElement(s); js.id = id;
      js.src = "//connect.facebook.net/pt_BR/sdk.js#xfbml=1&version=v2.7&appId=223572224465640";
      fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));</script>
@stop
