@extends(config('manager.views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li>Blog</li>
        <li class="active">Posts</li>
    </ul>

    <div class="page-header clearfix">
        <h2 class="pull-left">Posts</h2>

        <div class="pull-right" style="margin-top: 10px;">
            <a href="{{ route('manager.posts.create') }}" class="btn btn-primary">Inserir novo post</a>
        </div><!-- .pull-right -->
    </div><!-- .page-header -->

    @include('manager::partials.messages')

    <form action="{{ route('manager.posts.index') }}" class="form-inline well">
        <input type="text" name="title" class="form-control" value="{{ request('title') }}" placeholder="Procurar posts..." maxlength="255" autofocus>

        <button type="submit" class="btn btn-primary">Filtrar</button>
        <a href="{{ route('manager.posts.index') }}" class="btn btn-default">Limpar filtros</a>
    </form>

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th width="100"></th>
                <th>Título</th>
                <th width="110">Data</th>
                <th width="100">Ativo</th>
                <th width="150">Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($posts as $post)
                <tr>
                    <td>
                        @if ($post->cover)
                            <img src="{{ $post->present->cover(100, 20, 'crop') }}" alt="{{ $post->title }}">
                        @endif
                    </td>
                    <td>{{ $post->title }}</td>
                    <td>{{ $post->present->created_at }}</td>
                    <td><input type="checkbox" data-id="{{ $post->id }}" data-manager-update-checkbox="active" data-manager-update-url="{{ route('manager.posts.updateBasic', $post->id) }}" {{ $post->active ? 'checked="checked"' : null }}></td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.posts.edit', $post->id) }}" class="btn btn-default" title="Editar">
                                <span class="glyphicon glyphicon-pencil"></span> editar
                            </a>

                            <a href="{{ route('manager.posts.destroy', $post->id) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                <span class="glyphicon glyphicon-trash"></span> excluir
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->
@stop
