@extends(config('manager.views.layouts.master'))

@section('content')
    @include('manager::partials.breadcrumb', [
        'pages' => [
            'Onde encontrar',
            route('manager.representatives.index') => 'Representantes',
            'Inserir',
        ]
    ])

    @include('manager::partials.page-header', [
        'title'    => 'Representantes',
        'subtitle' => 'Inserir',
        'link'     => [
            'route'    => route('manager.representatives.index'),
            'label'    => 'Voltar',
            'btn-type' => 'default',
        ],
    ])

    @include('manager::partials.messages')

    <form action="{{ route('manager.representatives.store') }}" method="post" id="form-representative" class="form-horizontal" enctype="multipart/form-data">
        {{ csrf_field() }}

        <fieldset>
            @include('manager.representatives.fields')
        </fieldset>

        <hr>

        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <button type="submit" class="btn btn-primary js-btn-submit" data-loading-text="Carregando...">Salvar</button>
                <a href="{{ route('manager.representatives.index') }}" class="btn">Cancelar</a>
            </div>
        </div>
    </form>
@stop
