@extends(config('manager.views.layouts.master'))

@section('content')
    @include('manager::partials.breadcrumb', [
        'pages' => ['Onde encontrar']
    ])

    @include('manager::partials.page-header', [
        'title' => 'Onde encontrar',
        'link'  => [
            'route'    => route('manager.stores.create'),
            'label'    => 'Inserir loja',
            'btn-type' => 'primary',
        ],
    ])

    @include('manager::partials.messages')

    <form action="{{ route('manager.stores.index') }}" class="form-inline well">
        <input type="text" name="name" class="form-control" value="{{ request('name') }}" placeholder="Busca por nome..." maxlength="255" autofocus>
        {!! states_select(request('uf')) !!}
        <input type="text" name="name" class="form-control" value="{{ request('name') }}" placeholder="Busca por cidade..." maxlength="255" autofocus>

        <button type="submit" class="btn btn-primary">Filtrar</button>
        <a href="{{ route('manager.stores.index') }}" class="btn btn-default">Limpar filtros</a>
    </form>

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>Loja</th>
                <th>Cidade/Estado</th>
                <th>Telefone</th>
                <th>E-mail</th>
                <th width="80">Ativo</th>
                <th width="150">Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($stores as $store)
                <tr>
                    <td>{{ $store->name }}</td>
                    <td>{{ $store->city }}/{{ $store->uf }}</td>
                    <td>{{ $store->phone }}</td>
                    <td>{{ $store->email }}</td>
                    <td><input type="checkbox" data-id="{{ $store->id }}" data-manager-update-checkbox="active" data-manager-update-url="{{ route('manager.stores.updateBasic', $store->id) }}" {!! $store->active ? 'checked="checked"' : null !!}></td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.stores.edit', $store->id) }}" class="btn btn-default" title="Editar">
                                <span class="glyphicon glyphicon-pencil"></span> editar
                            </a>

                            <a href="{{ route('manager.stores.destroy', $store->id) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                <span class="glyphicon glyphicon-trash"></span> excluir
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->

    @if ($stores->count() === 0)
        <h3 class="text-center">Sem lojas até o momento.</h3>
    @endif

    {!! $stores->appends(request()->except('page'))->render() !!}
@stop
