@extends(config('manager.views.layouts.master'))

@section('content')

    @include('manager::partials.breadcrumb', [
        'pages' => ['Newsletter']
    ])

    @include('manager::partials.page-header', [
        'title' => 'Newsletter',
        'link'  => null
    ])

    @include('manager::partials.messages')

    <form action="{{ route('manager.subscribers.index') }}" class="form-inline well">
        <input type="text" name="name" class="form-control" value="{{ request('name') }}" placeholder="Nome..." maxlength="255" autofocus>
        <input type="email" name="email" class="form-control" value="{{ request('email') }}" placeholder="E-mail..." maxlength="255">

        <button type="submit" class="btn btn-primary">Filtrar</button>
        <a href="{{ route('manager.subscribers.index') }}" class="btn btn-default">Limpar filtros</a>
    </form>

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>Nome</th>
                <th>E-mail</th>
                <th>Estado</th>
                <th>Data do cadastro</th>
                <th width="80">Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($subscribers as $subscriber)
                <tr>
                    <td>{{ $subscriber->name }}</td>
                    <td>{{ $subscriber->email }}</td>
                    <td>{{ $subscriber->state }}</td>
                    <td>{{ $subscriber->present->created_at }}</td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.subscribers.destroy', $subscriber->id) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                <span class="glyphicon glyphicon-trash"></span> excluir
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->

    @if ($subscribers->count() === 0)
        <h3 class="text-center">Nenhum contato encontrado.</h3>
    @endif

    {!! $subscribers->appends(request('page'))->render() !!}
@stop
