@extends(config('manager.views.layouts.master_base'))

@section('main-content')
  <!-- login area start -->
  <div class="login-area login-bg" style="background: {{ config('manager.colors.primary') }}">
      <div class="container">

          <div class="login-box ptb--100">
              <form class="form-horizontal form-login" action="{{ route('manager.auth.password.send') }}" method="post" id="form-esqueci-minha-senha">
                  {{ csrf_field() }}
                  <input type="hidden" name="redirect" value="">

                  <div class="login-form-head">
                      @include('manager::partials.messages')
                      <h4>{{ config('manager.title') }} {{ config('manager.subtitle') }}</h4>
                      <p>Esqueceu sua senha? Informe abaixo o seu e-mail de acesso.</p>
                  </div>
                  <div class="login-form-body">
                      <div class="form-gp">
                          <label for="email">Endereço de E-mail</label>
                          <input name="email" id="email" value="{{ old('email') }}" autofocus required tabindex="1">
                          <i class="ti-email"></i>
                      </div>
                      <div class="submit-btn-area">
                          <button id="form_submit" type="submit" data-loading-text="{{ trans('manager::login.btns.recovery-loading') }}" tabindex="4">{{ trans('manager::login.btns.recovery-password') }} <i class="ti-arrow-right"></i></button>
                      </div>
                      <div class="row mt-4 rmber-area">
                          <div class="col-12 text-left">
                              <a href="{{ route("manager.auth.login") }}"><i class="ti-arrow-left"></i> Voltar para login</a>
                          </div>
                      </div>
                  </div>
              </form>
          </div>
      </div>
  </div>
  <!-- login area end -->
@stop

@section('scripts')
    @parent
    <script type="text/javascript">
        (function() {
            $('#form-login').on('submit', function(e) {
                if (window.localStorage) {
                    localStorage.setItem('manager.email', $('#email').val());
                }

                $('.js-btn-login').button('loading');
            });

            if (window.localStorage) {
                if (localStorage.getItem('manager.email')) {
                    $('#email').val(localStorage.getItem('manager.email'));
                    $('#password').focus();
                }
            }

            $('#form-esqueci-minha-senha').on('submit', function(e) {
                $('.js-btn-recover-password').button('loading');
            });
        })();
    </script>
@stop
