@extends(config('manager.views.layouts.master_base'))

@section('main-content')

  <!-- login area start -->
  <div class="login-area login-bg" style="background: {{ config('manager.colors.primary') }}">
      <div class="container">
          <div class="login-box ptb--100">
              <form class="form-horizontal form-login" action="{{ route('manager.auth.login') }}" method="post" id="form-login">

                  {{ csrf_field() }}
                  <input type="hidden" name="redirect" value="">


                  <div class="login-form-head">
                      @include('manager::partials.messages')
                      @if( config('manager.logo') )
                      <img src="{{ asset( config('manager.logo') ) }}" alt="{{ config('manager.title') }} {{ config('manager.subtitle') }}" />
                      @else
                      <h4>{{ config('manager.title') }} {{ config('manager.subtitle') }}</h4>
                      @endif
                      <p>Informe seus dados de acesso para entrar</p>
                  </div>
                  <div class="login-form-body">


                      <div class="form-gp">
                          <label for="email">Endereço de E-mail</label>
                          <input name="email" id="email" value="{{ old('email') }}" autofocus tabindex="1">
                          <i class="ti-email"></i>
                      </div>
                      <div class="form-gp">
                          <label for="password">Senha</label>
                          <input type="password" name="password" id="password" tabindex="2">
                          <i class="ti-lock"></i>
                      </div>
                      <div class="row mb-4 rmber-area">
                          <div class="col-6">
                            <div class="custom-control custom-checkbox mr-sm-2">
                                  <input type="checkbox" class="custom-control-input" name="remember" id="remember" value="1" tabindex="3">
                                  <label class="custom-control-label" for="remember">{{ trans('manager::login.remember-me') }}</label>
                              </div>
                          </div>
                          <div class="col-6 text-right">
                              <a href="{{ route("manager.password.index") }}">Esqueceu a senha?</a>
                          </div>
                      </div>
                      <div class="submit-btn-area">
                          <button id="form_submit" type="submit" data-loading-text="{{ trans('manager::login.btns.logging') }}" tabindex="4">{{ trans('manager::login.btns.login') }} <i class="ti-arrow-right"></i></button>
                      </div>
                  </div>
              </form>
          </div>
      </div>
  </div>
  <!-- login area end -->
@stop

@section('scripts')
    @parent
    <script type="text/javascript">
        (function() {
            $('#form-login').on('submit', function(e) {
                if (window.localStorage) {
                    localStorage.setItem('manager.email', $('#email').val());
                }

                $('.js-btn-login').button('loading');
            });

            if (window.localStorage) {
                if (localStorage.getItem('manager.email')) {
                    $('#email').val(localStorage.getItem('manager.email'));
                    $('#password').focus();
                }
            }

            $('#form-esqueci-minha-senha').on('submit', function(e) {
                $('.js-btn-recover-password').button('loading');
            });
        })();
    </script>
@stop
