@extends(config('manager.views.layouts.master_base'))

@section('main-content')

    <div class="login-area login-bg" style="background: {{ config('manager.colors.primary') }}">
        <div class="container">
            <div class="login-box ptb--100">

              <form action="{{ route('manager.password.reset.update') }}" method="post" id="form-reset-password" class="form-horizontal">
                   {!! Form::token() !!}
                   <input type="hidden" name="token" value="{{ $token }}">

                   <div class="login-form-head">
                       @include('manager::partials.messages')
                       @if( config('manager.logo') )
                       <img src="{{ asset( config('manager.logo') ) }}" alt="{{ config('manager.title') }} {{ config('manager.subtitle') }}" />
                       @else
                       <h4>{{ config('manager.title') }} {{ config('manager.subtitle') }}</h4>
                       @endif
                       <p>Informe sua nova senha</p>
                   </div>
                   <div class="login-form-body">

                  <fieldset>
                      <div class="form-gp">
                          <label for="email">Endereço de E-mail</label>
                          <input name="email" id="email" value="{{ old('email') }}" autofocus tabindex="1">
                          <i class="ti-email"></i>
                      </div>
                      <div class="form-gp">
                          <label for="password">Nova Senha</label>
                          <input type="password" name="password" id="password" tabindex="2">
                          <i class="ti-lock"></i>
                      </div>
                      <div class="form-gp">
                          <label for="password_confirmation">Confirmar Nova Senha</label>
                          <input type="password" name="password_confirmation" id="password" tabindex="3">
                          <i class="ti-lock"></i>
                      </div>
                  </fieldset>

                  <div class="submit-btn-area">
                      <button id="form_submit" type="submit" data-loading-text="{{ trans('manager::login.btns.logging') }}" tabindex="4">{{ trans('manager::login.btns.login') }} <i class="ti-arrow-right"></i></button>
                  </div>
              </form>
            </div>
          </div>
      </div>

@stop

@section('scripts')
    @parent

    <script type"text/javascript">
        $('#form-reset-password').on('submit', function() {
            $('.js-btn-submit').button('loading');
        });
    </script>
@stop
