@extends(config('manager.views.layouts.master_base'))

@section("main-content")
<!-- page container area start -->
<div class="page-container">
    <!-- sidebar menu area start -->
    <div class="sidebar-menu">
      <!-- profile info & task notification -->

        <div class="user-profile">
            @if( config('manager.logo') )
            <img src="{{ asset( config('manager.logo') ) }}" alt="{{ config('manager.title') }} {{ config('manager.subtitle') }}" />
            @else
            <h4 class="user-name">{{ config('manager.title') }} {{ config('manager.subtitle') }}</h4>
            @endif
        </div>

        <div class="main-menu">
            <div class="menu-inner">
                <nav>
                    <ul class="metismenu" id="menu">
                        @include(config('manager.views.menu'))
                    </ul>
                </nav>
            </div>
        </div>
    </div>
    <!-- sidebar menu area end -->

    <!-- main content area start -->
    <div class="main-content">
        <!-- header area start -->
        <div class="header-area">
            <div class="row align-items-center">
                <!-- nav and search button -->
                <div class="col-6 clearfix">
                    <div class="nav-btn pull-left">
                        <span></span>
                        <span></span>
                        <span></span>
                    </div>
                </div>
                <div class="col-6 clearfix">
                  @if (! Auth::guard('manager')->guest())
                      @include('manager::partials.menu-top-right')
                  @endif
                </div>

            </div>
        </div>
        <!-- header area end -->
        <div class="main-content-inner">
            <div class="row">
              <div class="col-lg-12 mt-4">
                  <div class="card">
                      <div class="card-body">
                          <div class="single-table">
                              <div class="table-responsive" style="overflow-x:hidden">
                              @section('content')

                              @show
                              </div>

                              @section('content-dashboard')

                              @show
                          </div>
                      </div>
                  </div>
              </div>
            </div>
        </div>
        <!-- main content area end -->

  </div>
  <!-- page container area end -->
  <!-- offset area start -->
  <div class="offset-area">
      <div class="offset-close"><i class="ti-close"></i></div>
      <ul class="nav offset-menu-tab">
          <li><a class="active" data-toggle="tab" href="#activity">Activity</a></li>
          <li><a data-toggle="tab" href="#settings">Settings</a></li>
      </ul>
      <div class="offset-content tab-content">
          <div id="activity" class="tab-pane fade in show active">
              <div class="recent-activity">
                  <div class="timeline-task">
                      <div class="icon bg1">
                          <i class="fa fa-envelope"></i>
                      </div>
                      <div class="tm-title">
                          <h4>Rashed sent you an email</h4>
                          <span class="time"><i class="ti-time"></i>09:35</span>
                      </div>
                      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Esse distinctio itaque at.
                      </p>
                  </div>
                  <div class="timeline-task">
                      <div class="icon bg2">
                          <i class="fa fa-check"></i>
                      </div>
                      <div class="tm-title">
                          <h4>Added</h4>
                          <span class="time"><i class="ti-time"></i>7 Minutes Ago</span>
                      </div>
                      <p>Lorem ipsum dolor sit amet consectetur.
                      </p>
                  </div>
                  <div class="timeline-task">
                      <div class="icon bg2">
                          <i class="fa fa-exclamation-triangle"></i>
                      </div>
                      <div class="tm-title">
                          <h4>You missed you Password!</h4>
                          <span class="time"><i class="ti-time"></i>09:20 Am</span>
                      </div>
                  </div>
                  <div class="timeline-task">
                      <div class="icon bg3">
                          <i class="fa fa-bomb"></i>
                      </div>
                      <div class="tm-title">
                          <h4>Member waiting for you Attention</h4>
                          <span class="time"><i class="ti-time"></i>09:35</span>
                      </div>
                      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Esse distinctio itaque at.
                      </p>
                  </div>
                  <div class="timeline-task">
                      <div class="icon bg3">
                          <i class="ti-signal"></i>
                      </div>
                      <div class="tm-title">
                          <h4>You Added Kaji Patha few minutes ago</h4>
                          <span class="time"><i class="ti-time"></i>01 minutes ago</span>
                      </div>
                      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Esse distinctio itaque at.
                      </p>
                  </div>
                  <div class="timeline-task">
                      <div class="icon bg1">
                          <i class="fa fa-envelope"></i>
                      </div>
                      <div class="tm-title">
                          <h4>Ratul Hamba sent you an email</h4>
                          <span class="time"><i class="ti-time"></i>09:35</span>
                      </div>
                      <p>Hello sir , where are you, i am egerly waiting for you.
                      </p>
                  </div>
                  <div class="timeline-task">
                      <div class="icon bg2">
                          <i class="fa fa-exclamation-triangle"></i>
                      </div>
                      <div class="tm-title">
                          <h4>Rashed sent you an email</h4>
                          <span class="time"><i class="ti-time"></i>09:35</span>
                      </div>
                      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Esse distinctio itaque at.
                      </p>
                  </div>
                  <div class="timeline-task">
                      <div class="icon bg2">
                          <i class="fa fa-exclamation-triangle"></i>
                      </div>
                      <div class="tm-title">
                          <h4>Rashed sent you an email</h4>
                          <span class="time"><i class="ti-time"></i>09:35</span>
                      </div>
                  </div>
                  <div class="timeline-task">
                      <div class="icon bg3">
                          <i class="fa fa-bomb"></i>
                      </div>
                      <div class="tm-title">
                          <h4>Rashed sent you an email</h4>
                          <span class="time"><i class="ti-time"></i>09:35</span>
                      </div>
                      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Esse distinctio itaque at.
                      </p>
                  </div>
                  <div class="timeline-task">
                      <div class="icon bg3">
                          <i class="ti-signal"></i>
                      </div>
                      <div class="tm-title">
                          <h4>Rashed sent you an email</h4>
                          <span class="time"><i class="ti-time"></i>09:35</span>
                      </div>
                      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Esse distinctio itaque at.
                      </p>
                  </div>
              </div>
          </div>
          <div id="settings" class="tab-pane fade">
              <div class="offset-settings">
                  <h4>General Settings</h4>
                  <div class="settings-list">
                      <div class="s-settings">
                          <div class="s-sw-title">
                              <h5>Notifications</h5>
                              <div class="s-swtich">
                                  <input type="checkbox" id="switch1" />
                                  <label for="switch1">Toggle</label>
                              </div>
                          </div>
                          <p>Keep it 'On' When you want to get all the notification.</p>
                      </div>
                      <div class="s-settings">
                          <div class="s-sw-title">
                              <h5>Show recent activity</h5>
                              <div class="s-swtich">
                                  <input type="checkbox" id="switch2" />
                                  <label for="switch2">Toggle</label>
                              </div>
                          </div>
                          <p>The for attribute is necessary to bind our custom checkbox with the input.</p>
                      </div>
                      <div class="s-settings">
                          <div class="s-sw-title">
                              <h5>Show your emails</h5>
                              <div class="s-swtich">
                                  <input type="checkbox" id="switch3" />
                                  <label for="switch3">Toggle</label>
                              </div>
                          </div>
                          <p>Show email so that easily find you.</p>
                      </div>
                      <div class="s-settings">
                          <div class="s-sw-title">
                              <h5>Show Task statistics</h5>
                              <div class="s-swtich">
                                  <input type="checkbox" id="switch4" />
                                  <label for="switch4">Toggle</label>
                              </div>
                          </div>
                          <p>The for attribute is necessary to bind our custom checkbox with the input.</p>
                      </div>
                      <div class="s-settings">
                          <div class="s-sw-title">
                              <h5>Notifications</h5>
                              <div class="s-swtich">
                                  <input type="checkbox" id="switch5" />
                                  <label for="switch5">Toggle</label>
                              </div>
                          </div>
                          <p>Use checkboxes when looking for yes or no answers.</p>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
@stop
