<!doctype html>
<html class="no-js" lang="{{ config('manager.lang') }}">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>{{ config('manager.title') }} {{ config('manager.subtitle') }}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ config('manager.title') }} | {{ config('manager.subtitle') }}</title>
    <link rel="shortcut icon" href="{{ asset(config('manager.favicon')) }}">
    <link rel="shortcut icon" type="image/png" href="{{ asset('packages/manager/themes/strdash/assets/images/icon/favicon.ico') }}">

    <link rel="stylesheet" href="{{ asset('packages/manager/css/main.css') }}">

    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/font-awesome.min.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/themify-icons.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/metisMenu.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/owl.carousel.min.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/slicknav.min.css') }}">
    <!-- amchart css -->
    <link rel="stylesheet" href="https://www.amcharts.com/lib/3/plugins/export/export.css" type="text/css" media="all" />
    <!-- others css -->
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/typography.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/default-css.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/styles.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/responsive.css') }}">

    <link rel="stylesheet" href="{{ asset('packages/manager/css/vendor/jquery-ui/flick/jquery-ui.min.css') }}">

    <!-- modernizr css -->
    <script src="{{ asset('packages/manager/themes/strdash/assets/js/vendor/modernizr-2.8.3.min.js') }}"></script>

    <style>
      .user-profile{
        background: -webkit-linear-gradient(left, {{ config('manager.colors.primary') }} 0%, {{ config('manager.colors.secondary') }} 100%);
        background: linear-gradient(to right, {{ config('manager.colors.primary') }} 0%, {{ config('manager.colors.secondary') }} 100%);
      }
      .login-form-head{ background: {{ config('manager.colors.primary') }} }

      .header-area{
        background: {{ config('manager.colors.primary') }};
      }

      .header-area .nav-btn span{
        background: {{ config('manager.colors.texts') }};
      }

      .header-area .user-name{
        color: {{ config('manager.colors.texts') }};
      }

      .btn, .form-gp.focused label{
        color: {{ config('manager.colors.primary') }};
      }

      .btn-primary, .submit-btn-area button:hover{
        background: {{ config('manager.colors.primary') }};
        border-color: {{ config('manager.colors.primary') }};
        color: {{ config('manager.colors.texts') }};
      }

      .btn-primary:hover{
        background: {{ config('manager.colors.primary') }};
        border-color: {{ config('manager.colors.primary') }};
        color: {{ config('manager.colors.texts') }};
      }

      .breadcrumbs li a, .breadcrumbs li span, .metismenu li a i{
        color: {{ config('manager.colors.primary') }};
      }

      .btn-danger{
        color: #fff;
      }

    </style>
</head>

<body>
    <!--[if lt IE 8]>
            <p class="browserupgrade">Você está utilizando um <strong>navegador desatualizado</strong>. Por favor  <a href="http://browsehappy.com/">atualize seu navegador</a> para melhorar sua experiência.</p>
        <![endif]-->
    <!-- preloader area start -->
    <div id="preloader">
        <div class="loader"></div>
    </div>
    <!-- preloader area end -->

    @section("main-content")

    @show

    {!! Form::open(['method' => 'delete', 'id' => 'form-delete', 'class' => 'hide' ]) !!}
    {!! Form::close() !!}

    <div class="modal" id="modal-delete">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                    <h4 class="modal-title">{{ trans('manager::master.modal.delete.title') }}</h4>
                </div>

                <div class="modal-body">
                    <p>{{ trans('manager::master.modal.delete.text') }}?</p>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" id="btn-confirm-delete" data-loading-text="Excluindo...">{{ trans('manager::master.modal.delete.btn-submit') }}</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">{{ trans('manager::master.modal.delete.btn-cancel') }}</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

    <div class="modal" id="modal-message">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                    <h4 class="modal-title" id="modal-message-title">Mensagem</h4>
                </div>

                <div class="modal-body">
                    <p id="modal-message-text"></p>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Ok</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->


</body>
<!-- jquery latest version -->
<script src="{{ asset('packages/manager/themes/strdash/assets/js/vendor/jquery-2.2.4.min.js') }}"></script>
<!-- bootstrap 4 js -->
<script src="{{ asset('packages/manager/themes/strdash/assets/js/popper.min.js') }}"></script>
<script src="{{ asset('packages/manager/themes/strdash/assets/js/bootstrap.min.js') }}"></script>
<script src="{{ asset('packages/manager/themes/strdash/assets/js/owl.carousel.min.js') }}"></script>
<script src="{{ asset('packages/manager/themes/strdash/assets/js/metisMenu.min.js') }}"></script>
<script src="{{ asset('packages/manager/themes/strdash/assets/js/jquery.slimscroll.min.js') }}"></script>
<script src="{{ asset('packages/manager/themes/strdash/assets/js/jquery.slicknav.min.js') }}"></script>

<!-- others plugins -->
<script src="{{ asset('packages/manager/themes/strdash/assets/js/plugins.js') }}"></script>
<script src="{{ asset('packages/manager/themes/strdash/assets/js/scripts.js') }}"></script>

<!-- v 3.0 plugins -->
<script type="text/javascript" src="{{ asset('packages/manager/js/vendor.js') }}"></script>
{{-- <script src="/packages/manager/components/medium-editor/dist/js/medium-editor.js"></script> --}}
{{--   <script src="/packages/manager/components/medium-editor-list/medium-editor-list.min.js"></script> --}}
{{-- <script src="/packages/manager/components/handlebars/handlebars.runtime.min.js"></script> --}}
{{-- <script src="/packages/manager/components/jquery-sortable/source/js/jquery-sortable-min.js"></script> --}}
<script src="/packages/manager/components/blueimp-file-upload/js/vendor/jquery.ui.widget.js"></script>
<script src="/packages/manager/components/blueimp-file-upload/js/jquery.iframe-transport.js"></script>
<script src="/packages/manager/components/blueimp-file-upload/js/jquery.fileupload.js"></script>
{{-- <script src="/packages/manager/components/medium-editor-insert-plugin/dist/js/medium-editor-insert-plugin.min.js"></script>--}}
<script type="text/javascript" src="{{ asset('packages/manager/js/main.js') }}"></script>

<script src="{{ asset('packages/manager/components/notify/bootstrap-notify.min.js') }}"></script>

@section("scripts")

@show

<script>
  $(document).ready( function(){
    @if (count($errors) > 0)

      @foreach ($errors->all() as $error)
        $.notify({
            title: "",
            message: "{!! $error !!}"
          },{
            type: 'danger',
            delay: 5000,
            timer: 5000,
            placement: {
              from: "top",
              align: "center"
            }
          });
        @endforeach
    @endif

    @if (Session::has('message'))
        $.notify({
              title: "",
              message: "{!! Session::get('message') !!}"
            },{
              type: 'success',
              delay: 5000,
              timer: 5000,
              placement: {
                from: "top",
                align: "center"
              },
              animate: {
            		enter: 'animated fadeInDown',
            		exit: 'animated fadeOutUp'
            	}
        });
    @endif

    @if (Session::has('info'))
        $.notify({
              title: "",
              message: "{!! Session::get('info') !!}"
            },{
              type: 'info',
              delay: 5000,
              timer: 5000,
              placement: {
                from: "top",
                align: "center"
              }
        });
    @endif

    @if (Session::has('warning'))
        $.notify({
              title: "",
              message: "{!! Session::get('warning') !!}"
            },{
              type: 'warning',
              delay: 5000,
              timer: 5000,
              placement: {
                from: "top",
                align: "center"
              }
            });

    @endif

    @if (Session::has('error'))

        $.notify({
              title: "",
              message: "{!! Session::get('error') !!}"
            },{
              type: 'danger',
              delay: 5000,
              timer: 5000,
              placement: {
                from: "top",
                align: "center"
              }
            });

    @endif
  });

</script>
