@extends('manager::layouts.master')

@section('content')
    @include('manager::partials.breadcrumb', [
        'pages' => [
            route('manager.roles.index') => trans('manager::roles.title'),
            trans('manager::roles.create.title'),
        ],
    ])

    @include('manager::partials.page-header', [
        'title'    => 'Roles',
        'subtitle' => trans('manager::roles.edit.title'),
        'link'     => [
            'route' => route('manager.roles.index'),
            'label' => trans('manager::roles.btn.cancel')
        ]
    ])

    @include('manager::partials.messages')

    {!! Form::open(['url' => route('manager.roles.update', $role->id), 'method' => 'put', 'class' => 'form-horizontal', 'id' => 'form-role']) !!}
        @include('manager::roles.form')
    {!! Form::close() !!}
@stop

@section('scripts')
    @parent
    <script type="text/javascript" src="{{ asset('packages/escapework/manager/js/roles/form.js') }}"></script>
@stop
