@extends('manager::layouts.master')

@section('content')
    @include('manager::partials.breadcrumb', ['pages' => ['Rotinas']])

    <div class="page-header">
        <h2>Rotinas </h2>
    </div><!-- .page-header -->

    @include('manager::partials.messages')

    <div class="well">
        <div class="row">
            <div class="col-md-4" style="padding-right: 0;">
                <div class="input-group btn-group">
                    <span class="input-group-addon">php artisan</span>
                    <input type="text" class="form-control js-command" placeholder="Digite o comando"
                           data-remote-url="{{ route('manager.routines.execute') }}">
                </div>
            </div>

            <div class="col-md-6" style="padding-left: 0; padding-right: 0;">
                <input type="text" class="form-control js-command-params" placeholder="Digite os parâmetros separados por vírgula. Ex: --force, user=1">
            </div>

            <div class="col-md-2" style="padding-left: 0;">
                <button class="btn btn-primary js-btn-execute">Executar!</button>
            </div>
        </div>
    </div>

    <pre class="well js-result"></pre>
@stop

@section('scripts')
    @parent
    <script>
    (function() {
        window.App = window.App || {};

        App.Artisan = {
            init: function() {
                this.fetchElements();
                this.bindUIEvents();
            },

            fetchElements: function() {
                this.$command    = $('.js-command');
                this.$params     = $('.js-command-params');
                this.$btnExecute = $('.js-btn-execute');
                this.$result     = $('.js-result');
            },

            bindUIEvents: function() {
                var _this = this;

                this.$btnExecute.on('click', function(e) {
                    _this.execute();
                });
            },

            execute: function() {
                var _this = this;

                $.ajax({
                    type: 'POST',
                    url: _this.$command.data('remote-url'),
                    data: {
                        command: _this.$command.val(),
                        params: _this.$params.val()
                    },
                    beforeSend: function() {
                        _this.$btnExecute.prop('disabled', true);
                    }
                })
                    .success(function(data) {
                        _this.$result.html(data);
                    })
                    .error(function(error) {
                        _this.$result.html(error.response);
                    })
                    .always(function() {
                        _this.$btnExecute.prop('disabled', false);
                    });
            }
        };

        App.Artisan.init();
    })();
    </script>
@stop
