<fieldset>
    {!! Form::hidden('id', $user->id) !!}

    @if (config('manager.permissions.on'))
        <div class="form-group">
            <label for="role_id" class="col-sm-2 control-label">{{ trans('manager::users.label.role') }}</label>

            <div class="col-sm-3">
                {!! Form::select('role_id', $roles, $user->role_id, ['id' => 'role_id', 'required' => 'true', 'autofocus' => 'true', 'class' => 'form-control']) !!}
            </div>
        </div><!-- .form-group -->
    @endif

    <div class="form-group">
        <label for="name" class="col-sm-2 control-label">{{ trans('manager::users.label.name') }}</label>

        <div class="col-sm-3">
            {!! Form::text('name', $user->name, ['id' => 'name', 'required' => 'true', 'class'=> 'form-control']) !!}
        </div>

        <label for="email" class="col-sm-2 control-label">{{ trans('manager::users.label.email') }}</label>

        <div class="col-sm-3">
            {!! Form::email('email', $user->email, ['id' => 'email', 'required' => 'true', 'class'=> 'form-control']) !!}
        </div>
    </div><!-- .form-group -->

    <div class="form-group">
        <label for="password" class="col-sm-2 control-label">{{ trans('manager::users.label.password') }}</label>

        <div class="col-sm-3">
            <input type="password" name="password" id="password" class="form-control" {{ $user->exists ?: 'required' }}>

            @if ($user->exists)
                <span class="help-block">{{ trans('manager::users.obs.password.edit') }}</span>
            @endif
        </div>

        <label for="password_confirmation" class="col-sm-2 control-label">{{ trans('manager::users.label.password_confirmation') }}</label>

        <div class="col-sm-3">
            <input type="password" name="password_confirmation" id="password_confirmation" class="form-control" {{ $user->exists ?: 'required' }}>
        </div>
    </div><!-- .form-group -->

    <hr>

    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <button type="submit" class="btn btn-primary js-btn-submit" data-loading-text="{{ trans('manager::users.btn.loading') }}">{{ trans('manager::users.btn.submit') }}</button>
            <a href="{{ route('manager.admin-users.index') }}" class="btn">{{ trans('manager::users.btn.cancel') }}</a>
        </div>
    </div>
</fieldset>

@section('scripts')
    @parent

    <script type="text/javascript">
    (function() {
        $('#form-user').on('submit', function(e) {
            $(this).find('.js-btn-submit').button('loading');
        });
    })();
    </script>
@stop
