@extends('manager::layouts.master')

@section('content')
    @include('manager::partials.breadcrumb', ['pages' => [
        trans('manager::users.password.subtitle')
    ]])

    @include('manager::partials.page-header', [
        'title'    => trans('manager::users.password.title'),
        'subtitle' => trans('manager::users.password.subtitle'),
        'link'     => ['route' => route('manager.home'), 'label' => trans('manager::users.btn.cancel') ]
    ])

    @include('manager::partials.messages')

    {!! Form::open(['url' => route('manager.users.passwod.update'), 'class' => 'form-horizontal', 'id' => 'form-password', 'method' => 'put']) !!}
        <div class="form-group">
            <label for="old_password" class="col-sm-2 control-label">{{ trans('manager::users.label.old_password') }}</label>

            <div class="col-sm-3">
                <input type="password" name="old_password" id="old_password" class="form-control" autofocus required>
            </div>
        </div><!-- .form-group -->

        <div class="form-group">
            <label for="password" class="col-sm-2 control-label">{{ trans('manager::users.label.password') }}</label>

            <div class="col-sm-3">
                <input type="password" name="password" id="password" class="form-control" required>
            </div>

            <label for="password_confirmation" class="col-sm-2 control-label">{{ trans('manager::users.label.password_confirmation') }}</label>

            <div class="col-sm-3">
                <input type="password" name="password_confirmation" id="password_confirmation" class="form-control" required>
            </div>
        </div><!-- .form-group -->

        <hr>

        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <button type="submit" class="btn btn-primary js-btn-submit" data-loading-text="{{ trans('manager::users.btn.loading') }}">{{ trans('manager::users.btn.submit') }}</button>
            </div>
        </div>
    {!! Form::close() !!}
@stop

@section('scripts')
    @parent

    <script type="text/javascript">
    (function() {
        $('#form-password').on('submit', function(e) {
            $(this).find('.js-btn-submit').button('loading');
        });
    })();
    </script>
@stop
