<?php

namespace EscapeWork\Manager\Console;

use Illuminate\Console\Command;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Input\InputArgument;
use EscapeWork\Manager\Models\User;

class CreateUserCommand extends Command
{

    /**
     * The console command name.
     *
     * @var string
     */
    protected $name = 'manager:user:create';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Cria um novo usuário no manager (administrador)';

    /**
     * @var EscapeWork\Manager\Models\User
     */
    protected $user;

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct(User $user)
    {
        parent::__construct();

        $this->user = $user;
    }

    /**
     * Execute the console command.
     *
     * @return void
     */
    public function handle()
    {
        $fields['name']     = $this->ask('Qual o nome do usuário administrador?');
        $fields['email']    = $this->ask('Qual o e-mail do usuário administrador? (será utilizado para login)');
        $fields['password'] = $this->secret('Qual a senha do usuário administrador?');

        $this->user->role_id = $this->option('role');
        $this->user->fill($fields);
        $this->user->save();

        $this->line('');
        $this->info(' -> Usuário ' . $this->user->name . ' criado com sucesso!');
    }

    public function getOptions()
    {
        return [
            ['role', 'r', InputOption::VALUE_OPTIONAL, 'O ID do perfil', 1],
        ];
    }
}
