<?php

namespace EscapeWork\Manager\Console;

use Illuminate\Console\Command;
use Carbon\Carbon;
use File;

class MigrationMakeCommand extends Command
{
    /**
     * The console command name.
     *
     * @var string
     */
    protected $signature = 'manager:make:migration {name} {--folder=}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Cria uma nova migration';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return void
     */
    public function handle()
    {
        $date = Carbon::now();

        $path      = base_path().'/database/migrations/';
        $name      = $this->argument('name');
        $folder    = $this->option('folder');
        $content   = File::get(__DIR__ . '/../../resources/stubs/'.$folder.'/migration.stub');
        $migration = $date->format('Y').'_'.$date->format('m').'_'.$date->format('d').'_'.$date->format('Hms').'_'.$name.'.php';

        File::put($path . $migration, $content);

        $this->info('Migration criada com sucesso!');
    }
}
