<?php

namespace EscapeWork\Manager\Http\Controllers;
use Analytics;
use Spatie\Analytics\Period;

class AnalyticsController extends Controller
{

    public function visitors(){

      try{
        $analyticsData = Analytics::performQuery(Period::days(30),'ga:sessions,ga:pageviews',['dimensions' => 'ga:date']);
        if( $analyticsData->rows ){
            return response()->json([
              'error' => false,
              'data' => $analyticsData->rows
            ]);
        }

        return response()->json([
          'error' => true,
          'data' => 'Nenhum dado recebido'
        ]);

      }catch( Exception $e){
        return response()->json([
          'error' => true,
          'message' => "Conta do Analytics não está configurada"
        ]);
      }
    }
}
