<?php

namespace EscapeWork\Manager\Http\Controllers\Auth;

use EscapeWork\Manager\Http\Controllers\Controller;
use EscapeWork\Manager\Http\Requests\Auth\LoginRequest;
use Illuminate\Http\Request;
use Auth;

class LoginController extends Controller
{

    public function index()
    {
        return view(config('manager.views.login'));
    }

    public function login(LoginRequest $request)
    {
        $credentials = $request->only('email', 'password');

        if (Auth::guard('manager')->attempt($credentials, $request->get('remember') == 1)) {
            return redirect()->route(config('manager.redirects.after_login'))
                             ->with('message', trans('manager::login.messages.login-successfully'));
        }

        return redirect()->route(config('manager.redirects.login'))
                         ->withInput()
                         ->with('error', trans('manager::login.errors.credentials'));
    }

    public function logout()
    {
        Auth::guard('manager')->logout();

        return redirect(config('manager.redirects.logout'));
    }
}
