<?php

namespace EscapeWork\Manager\Http\Controllers;

use EscapeWork\Manager\Http\Controllers\Controller;
use EscapeWork\Manager\Http\Requests\Users\UserPasswordUpdateRequest;
use EscapeWork\Manager\Jobs\Users\PasswordUpdateJob;

class UserPasswordController extends Controller
{

    public function __construct()
    {
        parent::__construct();
    }

    public function index()
    {
        return view(config('manager.views.users.password.index'));
    }

    public function update(UserPasswordUpdateRequest $request)
    {
        $this->dispatch(new PasswordUpdateJob($request->password));

        return redirect(route('manager.home'))
               ->with('message', trans('manager::users.messages.password'));
    }
}
