<?php

namespace EscapeWork\Manager\Http\Middleware;

use EscapeWork\LaraMedias\Contracts\Mediable as MediableContract;
use Exception, Closure;

class Mediable
{

    /**
     * Run the request filter.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $this->registerMediable($request->table, $request->model_id);

        return $next($request);
    }

    protected function registerMediable($table, $id)
    {
        app()->bind('EscapeWork\LaraMedias\Contracts\Mediable', function($app) use($table, $id) {
            $model = config('manager.medias.' . $table . '.model');

            if (is_null($model)) {
                throw new Exception;
            }

            $instance = $app->make($model);

            if (! ($instance instanceof MediableContract)) {
                throw new Exception;
            }

            return $instance->findOrFail($id);
        });
    }
}
