<?php

namespace EscapeWork\Manager\Http\Middleware;

use Auth, Closure;

class UnauthorizeIfGuest
{

    /**
     * Run the request filter.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (! Auth::guard('manager')->guest()) {
            if ($request->ajax()) {
                return response('Unauthorized.', 401);
            }

            return redirect()->guest(route('manager.home'));
        }
        return $next($request);
    }

}
