<?php

namespace EscapeWork\Manager\Http\Requests\Auth;

use EscapeWork\Manager\Http\Requests\Request;

class LoginRequest extends Request
{

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'email'    => ['required', 'email'],
            'password' => ['required'],
        ];
    }

    public function messages()
    {
        return [
            'email.required'    => trans('manager::validation.email.required'),
            'email.email'       => trans('manager::validation.email.email'),
            'password.required' => trans('manager::validation.password.required'),
        ];
    }
}
