<?php

namespace EscapeWork\Manager\Http\Requests\Password;

use EscapeWork\Manager\Http\Requests\Request;

class PasswordResetRequest extends Request
{

    public function authorize()
    {
        return true;
    }

    public function rules()
    {
        return [
            'token'    => ['required'],
            'email'    => ['required', 'email'],
            'password' => 'required|confirmed',
        ];
    }

    public function messages()
    {
        return [
            'token.required'     => trans('manager::validation.token.required'),
            'email.required'     => trans('manager::validation.email.required'),
            'email.email'        => trans('manager::validation.email.email'),
            'password.required'  => trans('manager::validation.password.required'),
            'password.confirmed' => trans('manager::validation.password.confirmed'),
        ];
    }
}
