<?php

namespace EscapeWork\Manager\Http\Requests\Users;

use EscapeWork\Manager\Http\Requests\Request;
use Auth;

class UserPasswordUpdateRequest extends Request
{

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $user = Auth::guard('manager')->user();

        return [
            'old_password' => ['required', 'password_match:' . $user->password],
            'password'     => ['required', 'min:6', 'confirmed'],
        ];
    }

    public function messages()
    {
        return [
            'old_password.required'       => trans('manager::validation.old_password.required'),
            'password.required'           => trans('manager::validation.password.required'),
            'password.min'                => trans('manager::validation.password.min'),
            'password.confirmed'          => trans('manager::validation.password.confirmed'),
            'old_password.password_match' => trans('manager::validation.password.match'),
        ];
    }
}
