<?php

namespace EscapeWork\Manager\Jobs\Users;

use EscapeWork\Manager\Jobs\Job;
use EscapeWork\Manager\Models\Role;
use EscapeWork\Manager\Models\User;

class UserCreateJob extends Job
{

    /**
     * @var array
     */
    protected $data;

    public function __construct($data)
    {
        $this->data = (array) $data;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle(User $user)
    {
        if (! $user->role_id) {
            $user->role_id = Role::getDefault()->id;
        }

        $user->fill($this->data);
        $user->save();

        return $user;
    }
}
