<?php

namespace EscapeWork\Manager\Models;

use EscapeWork\LaravelSteroids\Model;

class Role extends Model
{
    /**
     * Table
     */
    protected $table = 'manager_roles';

    /**
     * Fillable fields
     */
    public $fillable = [
        'id',
        'title',
        'all_permissions',
        'admin',
    ];

    public function pages()
    {
        return $this->hasMany(RolePage::class, 'role_id');
    }

    public function actions()
    {
        return $this->hasMany(RoleAction::class, 'role_id');
    }

    public function scopeNonAdmins($query)
    {
        return $query->where('admin', '=', 0);
    }

    public static function getDefault()
    {
        return static::where('admin', '=', 0)->first();
    }
}
