<?php

namespace EscapeWork\Manager\Providers;

use Request, Response, Redirect;
use Illuminate\Support\ServiceProvider;

class ResponseServiceProvider extends ServiceProvider
{

    public function register()
    {

    }

    /**
     * Perform post-registration booting of services.
     *
     * @return void
     */
    public function boot()
    {
        Response::macro('manager', function($data)
        {
            if (Request::ajax() || Request::isJson()) {
                return response()->json((array) $data);
            }

            if (isset($data['back'])) {
                return redirect()->back()
                                 ->with($data);
            }

            return redirect()->to($data['route'])
                             ->with($data);
        });
    }
}
