<?php

namespace EscapeWork\Manager\Repositories;

use EscapeWork\LaravelSteroids\Repository;
use EscapeWork\Manager\Models\Role;
use EscapeWork\Manager\Models\RoleAction;
use EscapeWork\Manager\Facades\ManagerAuth;


class RoleRepository extends Repository
{

    public function __construct(Role $model)
    {
        $this->model = $model;
    }

    public function allowed($user)
    {
        $query = $this->model->newQuery();

        if (! $user->isAdmin()) {
            $query->nonAdmins();
        }

        return $query->get();
    }

    public function visible()
    {
        return $this->model->nonAdmins()->get();
    }

    public function select()
    {
        $rolesAllowed = $this->allowed(ManagerAuth::user());
        $roles        = [];

        foreach ($rolesAllowed as $role) {
            $roles[$role->id] = $role->title;
        }

        return $roles;
    }
}
